/* 
* File contains generic html element validation methods 
*/ 
/*  The same code should be in there file for validations */
var CODE_MANDATORY = 1;
/**
 * Identifier for constant for Javascript check Minimum value 
 */
var CODE_MIN_TEXT =  2; // Default value
/**
 * Identifier for constant for Javascript check Minimum value 
 */
var CODE_NUMBERVALUECHK  = 3;
/** 
 * Identifier for constant for Javascript check Minimum value 
 */
var CODE_MINRANGECHK  = 4;
/**
 * Identifier for constant for Javascript check Minimum value 
 */
var CODE_MAXRANGECHK  = 5;	
		
var CHECK_MANDATORY = false;
var CHECK_MIN_TEXT = false;
var CHECK_NUMBERVALUECHK = false;
var CHECK_MINRANGECHK = false;
var CHECK_MAXRANGECHK  = false;

var MANDATORY_MSG = "";
var CHECK_MIN_MSG = "";
var CHECK_NUMBERCHK_MSG = "";
var CHECK_MIN_NUMBER_MSG = "";
var CHECK_MAX_NUMBER_MSG = "";
/* variable for passing parameters */
var param_min_text = 0;
var param_minrangechk = 0;
var param_maxrangechk  = 0;

var check_count = 0;
var msg = "";

function validate(codeArray, element,array,arrayParams)
{
	var code = 0;
	var msgs = "";
	var params = 0;
		if (codeArray[0] == null){
			check_count = 1;
			code = codeArray;
			msgs = array;
			params = parseInt(arrayParams);
		}
		else{
			check_count = codeArray.length;
		}
	var i =0;

	while(check_count == 1 || i < codeArray.length  )
	{
		if(check_count > 1)
		{
			code = codeArray[i];
			msgs = array[i];
			params = parseInt(arrayParams[i]); 
		}
		switch(code){
			case 1: CHECK_MANDATORY = true;
				MANDATORY_MSG = msgs;					
				break;
			case 2: CHECK_MIN_TEXT = true;
				param_min_text = params;
				CHECK_MIN_MSG= msgs;
				break;
			case 3: CHECK_NUMBERVALUECHK = true;		 
				CHECK_NUMBERCHK_MSG= msgs;					
				break;
			case 4: CHECK_MINRANGECHK = true;
				param_minrangechk = params;
				CHECK_MIN_NUMBER_MSG= msgs;
				break;
			case 5: CHECK_MAXRANGECHK = true;
				param_maxrangechk = params;
				CHECK_MAX_NUMBER_MSG= msgs;
				break;
		}
		i++;
		if(check_count ==1)
			break;
	}
	// Please add other validation conditions..
	var flg= false;
	if (checkMandatory(element)){flg= true }
	else if(checkMinText(element)){	flg= true}
	else if(checkNumberCheck(element)){	flg= true}
	else if(checkMinRangeCheck(element)){flg= true	}
	else if(checkMaxRangeCheck(element)){flg= true	}

}
function checkMandatory(element)
{
	var retvalue = false;
	if (CHECK_MANDATORY == true )
	{ 	
		//Please add validation condition for mandatory 
		if (element.value == "") 
		{
			alert(MANDATORY_MSG);
			retvalue = true;
		}
	}
	return retvalue;
}
function checkMinText(element)
{
	var retvalue = false;
	if(CHECK_MIN_TEXT == true )
	{ 
		//Please add validation condition for min field chect		
		if (element.value.length <param_min_text ) 								
		{															
			alert(CHECK_MIN_MSG);									
			retvalue = true;
		}
	}
	return retvalue;
}
function checkNumberCheck(element)
{
	var retvalue = false;
	if(CHECK_NUMBERVALUECHK == true )
	{ 
		//Please add validation condition for min field chect
		if (isNaN(element.value)) 
		{
			alert(CHECK_NUMBERCHK_MSG);
			retvalue = true;
		}
	}
	return retvalue;
}
function checkMinRangeCheck(element)
{
		var retvalue = false;
	if(CHECK_MINRANGECHK == true )
	{ 
		//Please add validation condition for min field chect
		if (parseFloat(element.value) < param_minrangechk) 
		{
			alert(CHECK_MIN_NUMBER_MSG);
			retvalue = true;
		}
	}
	return retvalue;
}
function checkMaxRangeCheck(element)
{
	var retvalue = false;
	if(CHECK_MAXRANGECHK == true )
	{ 
		//Please add validation condition for 
		if (parseFloat(element.value) > param_maxrangechk ) 
		{
			alert(CHECK_MAX_NUMBER_MSG);
			retvalue = true;
		}
	}
	return retvalue;
}

function preview(passedId)
{
	var elementObj=	document.getElementById(passedId); 
	var CONST_PROTOCOL="file:///";
	if(elementObj.value != '' )
	{
		var urlpath = CONST_PROTOCOL + elementObj.value;
		window.open(urlpath,'','scrollbars=yes,resizable=yes,status=yes,width=300,height=300,toolbar=no,location=no,menubar=no,resize=yes');
	}
}



function submitForm(frm,action)
{
	frm.action = action;
	setChangedValues();
	frm.submit();
	return;
}

function setChangedValues() {
 	var hidden_field = document.getElementById("changedValue");
 	if(hidden_field) 
	 	hidden_field.value = changedList;
}

var changedList = new Array();
var clIndex=0;
function validateText(attribid) {
var flag = false;
    for(i=0;i<changedList.length;i++) {
	    if(changedList[i] == attribid) {
	    flag = true;
	    break;
    	}
    }	
	  if(!flag) {
	  	changedList[clIndex++] = attribid;
	  }
}

function validatePassword(pwd,attribid) {
	validateText(attribid);
	var pwd_h = document.getElementById(pwd.name+"_h");
	//when password got changed set the hidden value as 1
	pwd_h.value = "1";
}

function clearPasswordText(pwd,attribid) {
	var pwd = document.getElementById(pwd.name);
	validatePassword(pwd,attribid);
	pwd.value="";
}

function displayTab(div,con,pan,t)
{
 hideAllTab(con);
 e =  document.getElementById(pan);
 e.className = "showTab";
 highLightTab(div,t); 
}

function highLightTab(div,tab)
{
 var con = document.getElementById(div);
 var anchor = con.getElementsByTagName("a");
 
 var anchorList = con.childNodes;
  t = document.getElementById(tab);
 
 for(var i=0;i<anchor.length;i++)
 {
	var an = anchor[i];
	if(an == null || an.id == null || an.id == 'undefined' || an.id == '') continue;
	if(an.id == t.id)
		an.className = "tab activeTab";
	else 
		an.className = "tab";	
 }
}


function hideAllTab(container)
{
	var con = document.getElementById(container);

	var div = con.getElementsByTagName("div")[0];
	
	var panList = con.childNodes;
	for(var i=0;i<panList.length;i++){
	 	var pan = panList[i];
	 	if(pan == null) continue;
		pan.className = "hideTab";
	 }	
}

function setActiveTab(hid,no)
{
 h = document.getElementById(hid);
 
 if(h == null || h == "undefined") return;
 h.value = no;
}

function switchAll(frmObj,checkname,thestate){
	var checkbox_collection=eval("document.forms."+frmObj.name+"."+checkname);
	if(checkbox_collection.length == null){
		checkbox_collection.checked=thestate;
	}else{
		for (c=0; c < checkbox_collection.length; c++){
			checkbox_collection[c].checked=thestate;
		}
	}
}
function winopen(urlpath)
{
	if(urlpath != '' )
	{
		window.open(urlpath,'','scrollbars=yes,resizable=yes,status=yes,width=300,height=300,toolbar=no,location=no,menubar=no,resize=yes');
	}
}