<%@ taglib uri="/WEB-INF/tld/portlet.tld" prefix="portletAPI" %>
<%@ taglib uri="/WEB-INF/tld/wpctags.tld"  prefix="wpctags" %>
<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ page import="java.util.*"%>
<%@ page import="com.ibm.ccd.ui.portlets.catalog.*"%>
<%@ page import="com.ibm.ccd.ui.util.*"%>
<%@ page import="org.apache.jetspeed.portlet.*"%>

<portletAPI:init />

<link href="<%=portletResponse.encodeURL("/css/wpc_classic/WPC_UI_Styles.css")%>" rel="styleSheet" type="text/css">
<script language="JavaScript" src="<%=portletResponse.encodeURL("/js/wpscarmel.js")%>"></script>
<script language="javaScript" src="<%=portletResponse.encodeURL("/js/ListBoxSelection.js")%>"></script>
<%
PortletSession portletSession = portletRequest.getPortletSession();
ItemCatalogForm itemCatalogForm = (ItemCatalogForm) session.getAttribute(ItemCatalogPortlet.ITEMCATALOGFORM);
String childLength = itemCatalogForm.getChildLength();

String frmActionURL = ItemCatalogPortlet.createCommand(portletResponse.createURI(),ICatalogAction.CATALOG_CONFIG);
ArrayList catalogList = (ArrayList)portletSession.getAttribute(ItemCatalogPortlet.AVAILABLE_CATALOG_LIST);
%>

<form method="post" action="<%=frmActionURL%>">

<wpctags:uimessages/>

<table height="200">
<tr>
<td valign="top">
<table>
    <tr>
	   <td><table>
		<wpctags:uitext name="ITEMCATALOG.CHILD_LENGTH" type="normal" maxValue="6" value="<%=childLength%>" enabled="true" size="8"/>
		</table></td>
	</tr>
	<tr><td>
				<wpctags:SelectListTag name="<%=ItemCatalogPortlet.ELEMENT_SELECT_CATALOGS%>" size="20" list="<%=catalogList%>" source="ITEMCATALOG.CATALOG_LIST" destination="ITEMCATALOG.SELECTED_LIST" />

	</td></tr>
	<tr>
		<td><input type="submit" class="wpsButtonText" value='<wpctags:uilabel key="SEARCH.CONFIG.UPDATE"/>'  onClick="QuickSearch(this.form)"></td>
	</tr>
</table>	
</td>
</tr>	
</table>
<script language="javascript">
<!--
/*
	This function adds an option to the target list box. The function sets the focus
	on the option(s) after they are added to the list.
*/
function addOption(theSel, theText, theValue) {
	var newOpt = new Option(theText, theValue);
	var selLength = theSel.length;
	theSel.options[selLength] = newOpt;
}

/*
	This function deletes an option from the list.
*/
function deleteOption(theSel, theIndex) {
	var selLength = theSel.length;
	if(selLength>0) {
		theSel.options[theIndex] = null;
	}
}

/*
	This function moves the selected options to the target list.
	The "moveAll" argument determines whether to move all the options
	from one list to the other. The argument can take either "true"
	or "false".
*/
function moveOptions(theSelFrom, theSelTo, moveAll) {
	var selLength = theSelFrom.length;
	var selectedText = new Array();
	var selectedValues = new Array();
	var selectedCount = 0;

	var i;

	// This is a bulk move of the options.
	if(moveAll) {
		for(i=selLength-1; i>=0; i--) {
			selectedText[selectedCount] = theSelFrom.options[i].text;
			selectedValues[selectedCount] = theSelFrom.options[i].value;
			deleteOption(theSelFrom, i);
			selectedCount++;
		}
	} else {
		// Find the selected Options in reverse order and delete them from the 'from' Select.
		for(i=selLength-1; i>=0; i--) {
			if(theSelFrom.options[i].selected) {
				selectedText[selectedCount] = theSelFrom.options[i].text;
				selectedValues[selectedCount] = theSelFrom.options[i].value;
				deleteOption(theSelFrom, i);
				selectedCount++;
			}
		}
	}

	// Add the selected text/values in reverse order.
	// This will add the Options to the 'to' Select
	// in the same order as they were in the 'from' Select.
	for(i=selectedCount-1; i>=0; i--) {
		addOption(theSelTo, selectedText[i], selectedValues[i]);
	}
}

/*
	This function swaps the options in the list.
*/
function swapOptions(source,target) {
	var oldVal = source.value;
	var oldText = source.text;
	source.value = target.value
	source.text = target.text
	target.value = oldVal
	target.text = oldText
	target.selected = true;
	source.selected = false;
}

/*
	This function checks whether all the items in the list are selected.
	There are two lists - one parent list and the other the list containing the
	indices of the selected items. This function checks whether the lenghs of
	the two lists are same.
*/
function allItemsSelected(selList,selectedIndexList) {
	if(selectedIndexList.length == selList.length) {
		return true;
	}

	return false;
}

/*
	This function displays the selected indices in the right list box.
	Used for debug purposes.
*/
function printSelectedIndices(selectedIndexArray) {
	for(i=0;i<selectedIndexArray.length;i++) {
		alert(selectedIndexArray[i])
	}
}


/*
	This function returns true if a given index is present in the selected indices.
*/
function indexFound(selectedIndexArray,index) {
	var blIndexFound=false;
	for(x=0;selectedIndexArray.length>x; x++) {
		if(selectedIndexArray[x] == index) {
			blIndexFound = true;
			break;
		}
	}

	return blIndexFound;
}


/*
	This function moves the selected options one position up.
*/
function moveOptionsUp(selList) {

	// Copy the selected indexes into an array
	var selectedIndexArray = new Array();
	var j=0;
	for(i=0;selList.length>i; i++) {
		if(selList.options[i].selected) {
			selectedIndexArray[j] = i;
			j++;
		}
	}

	// If all the items are selected, then there is no action
	if(allItemsSelected(selList,selectedIndexArray)) {
		return;
	}

	// If the first element is selected and all the other selected items
	// are contiguous, then there is no action
	var contiguous = true;
	for(i=0;selectedIndexArray.length>i; i++) {
		if(i != selectedIndexArray[i]){
			contiguous = false;
			break;
		}
	}

	for(i=0;selectedIndexArray.length>i; i++) {
		if(selectedIndexArray[i] == 0 && contiguous) {
			return;
		}
	}

	for(i=0;selectedIndexArray.length>i; i++) {
		if(selectedIndexArray[i]-1 >= 0) {
			// Don't swap the first two elements if both of them are selected
			if(!((selectedIndexArray[i] == 1) && (indexFound(selectedIndexArray,0)))) {
				swapOptions(selList.options[selectedIndexArray[i]],selList.options[selectedIndexArray[i]-1]);
			}
		}
	}
	selectedIndexArray = null;
}


/*
	This function moves the selected options one position down.
*/
function moveOptionsDown(selList) {

	// Copy the selected indexes into an array
	var selectedIndexArray = new Array();
	var j=0;
	for(i=selList.length-1;i>=0; i--) {
		if(selList.options[i].selected) {
			selectedIndexArray[j] = i;
			j++;
		}
	}

	// If all the items are selected, then there is no action
	if(allItemsSelected(selList,selectedIndexArray)) {
		return;
	}

	// If the last element is selected and all the other selected items
	// are contiguous, then there is no action
	var contiguous=false;
	var value = selList.length-1;
	for(j=0;selectedIndexArray.length>j; j++) {
		for(i=0;selectedIndexArray.length>i; i++) {
			if(selectedIndexArray[i] == value) {
				contiguous = true;
				break;
			} else {
				contiguous = false;
			}
		}
		if(contiguous) {
			value--;
		} else {
			break;
		}
	}

	if(indexFound(selectedIndexArray,selList.length-1) && contiguous) {
		return;
	}

	for(i=0;selectedIndexArray.length>i; i++) {
		if(selList.length > selectedIndexArray[i]+1) {
			// Don't swap the last two elements if both of them are selected
			if(!((selectedIndexArray[i] == (selList.length-2)) && (indexFound(selectedIndexArray,selList.length-1)))) {
				swapOptions(selList.options[selectedIndexArray[i]],selList.options[selectedIndexArray[i]+1]);
			}
		}
	}

	selectedIndexArray = null;
}

	function QuickSearch(frm){
		var list=frm.<%=ItemCatalogPortlet.ELEMENT_SELECT_CATALOGS%>;
		for(i=list.length-1; i>=0; i--) {
			list.options[i].selected = true;
		}
		frm.submit();
	}
-->
</script>
