<%@ taglib uri="/WEB-INF/tld/portlet.tld" prefix="portletAPI" %>
<%@ taglib uri="/WEB-INF/tld/wpctags.tld" prefix="wpctags" %>
<%@ taglib uri="/WEB-INF/tld/wpcui.tld" prefix="wpcui" %>
<%@ taglib uri="/WEB-INF/tld/engine.tld" prefix="wps" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@ page import="java.util.*,java.net.*"%>
<%@ page import="org.apache.jetspeed.portlet.*"%>
<%@ page import="com.ibm.ccd.ui.context.*,
				 com.ibm.ccd.ui.portlets.catalog.*,
				 com.ibm.ccd.ui.portlets.download.*,
				 com.ibm.ccd.ui.portlets.items.*,
				 com.ibm.ccd.ui.dataobjects.*,
				 com.ibm.ccd.ui.dataobjects.attributes.*,
				 com.ibm.ccd.ui.dataobjects.items.*,
				 com.ibm.ccd.ui.mediator.*,
 				 com.ibm.ccd.ui.cache.*,
				 com.ibm.ccd.ui.util.*"%>
<portletAPI:init />
<%

WPCUser user = null;
WPSContext context = null;
String userName = null;
String company = null;
String gln = null;
context = UIUtils.getWPSContext(portletRequest, portletConfig); 
if (context != null){
	user = context.getWpcUser();
	if (user != null) {
		userName = (String) user.getProperty(IWPCUser.KEY_USER_ID);
		company = (String) user.getProperty(IWPCUser.KEY_COMPANY);
		gln = (String)user.getProperty(IWPCUser.KEY_SUPPLIER_GLN);
	}
}
Locale locale = portletRequest.getLocale();
HashMap action2page = ConfigManager.getInstance().getPortletActionToPageMappings();
%>

<link
	href="<%=portletResponse.encodeURL("/css/wpc_classic/WPC_UI_Styles.css")%>"
	rel="styleSheet" type="text/css">

<script language="JavaScript"
	src="<%=portletResponse.encodeURL("/js/wpscarmel.js")%>"></script>
<script language="JavaScript"
	src="<%=portletResponse.encodeURL("/js/calendarCtrl.jsp?locale="+locale.toString()+"")%>"></script>
	
<script language="JavaScript">

function openWin(e)
{
	window.open('<%=portletResponse.encodeURL("/jsps/html/itemcatalog/AttachFile.jsp")%>?ele='+e+'&eurl=<%=portletResponse.encodeURL("/")%>&<%=IWPCUser.KEY_USER_ID%>=<%=userName%>&<%=IWPCUser.KEY_COMPANY%>=<%=company%>','Upload',"top=220,left=320,width=420,height=200,resizable=no,scrollbars=yes,menubar=no,toolbar=no,directories=no,location=no,status=no");
}

function displayErrors()
{
		
		<wps:urlGeneration  contentNode='<%=(String)action2page.get("WPS.UTILS")%>' compositionNode="wpcPortal.ValidationError"  portletWindowState="Solo">
			var url="<%wpsURL.write(out);%>" ;
			window.open(url,"ValidationErrors","top=220,left=320,width=600,height=400,resizable=yes,scrollbars=yes,menubar=no,toolbar=no,directories=no,location=no,status=no");
		</wps:urlGeneration>
		 	
}
</script>
 
<%

PortletSession portletSession = portletRequest.getPortletSession();
CatalogItem item = (CatalogItem) session.getAttribute("Item");
CategoryHierarchy hierarchy = (CategoryHierarchy)portletSession.getAttribute(ICatalogAction.CATEGORY_HIERARCHY);
Map flatAttrMap = item.getFlatAttributeMap();

	String isEditableMode =  "true";
	String updateSpecificMode = isEditableMode;
Object command =  portletSession.getAttribute("Command");
String tab_submit = ICatalogAction.SWITCH_TAB;

	if(command == null){
		updateSpecificMode = isEditableMode = "false";
		tab_submit = ICatalogAction.SWITCH_TAB_NO_SUBMIT;
	}else if(ICatalogAction.VIEW.equals((String)command) || ICatalogAction.DELETE.equals((String)command)|| ICatalogAction.SEARCH_VIEW_MODE.equals((String)command)){
		updateSpecificMode = isEditableMode = "false";
		tab_submit = ICatalogAction.SWITCH_TAB_NO_SUBMIT;
	}else if( ICatalogAction.CLONE.equals((String)command) ||  ICatalogAction.CREATE.equals((String)command)  ){
		isEditableMode = "true";
		updateSpecificMode = "true";
	}else if( ICatalogAction.UPDATE.equals((String)command)){
		isEditableMode = "true";
		updateSpecificMode =  "false";
	}

	String includePage = (String)portletSession.getAttribute("includePage");
%>

<wpctags:uimessages/> 

<form name="workCatalogForm" method="POST">

	<jsp:include page="<%=includePage%>" ></jsp:include>

<input type="hidden" id="changedValue" name="changedValue" value="">

<table border="0">
	<tr>

<%
	if((command != null) && (ICatalogAction.VIEW.equals(command)) )
	{
%>	
	<td><input type="button" value='<wpctags:uilabel key="ITEMCATALOG.ADD_ITEM_LABEL"/>' 
						class="wpsButtonBlueSmall"	onClick="window.location.href='<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(),ICatalogAction.CREATE)%>';"></td>
				<td><input type="button" value='<wpctags:uilabel key="ITEMCATALOG.EDIT_ITEM_LABEL"/>' 
						class="wpsButtonBlueSmall"	onClick="window.location.href='<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(),ICatalogAction.UPDATE)%>';"></td>
				<td><input type="button" value='<wpctags:uilabel key="ITEMCATALOG.CLONE_ITEM_LABEL"/>' 
						class="wpsButtonBlueSmall"	onClick="window.location.href='<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(),ICatalogAction.CLONE)%>';"></td>
				<td><input type="button" value='<wpctags:uilabel key="ITEMCATALOG.DELETE_ITEM_LABEL"/>' 
						class="wpsButtonBlueSmall"	onClick="window.location.href='<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(),ICatalogAction.DELETE)%>';"></td>
						<wps:urlGeneration contentNode='<%=(String)action2page.get("WORKWITHITEM.DOWNLOAD")%>' portletWindowState="Normal">
						  <input type="hidden" name="<%=ICatalogAction.COMMAND%>" value="<%=IDownloadAction.DOWNLOAD_FROM_SINGLE %>">
						  <input type="hidden" name="<%=ICatalogAction.ITEMID%>" value="<%=item.getItemID()%>">
						  <input type="hidden" name="<%=ICatalogAction.CATALOG%>" value="<%=item.getCatalogID()%>">
						  <input type="hidden" name="<%=ICatalogAction.PARENTID%>" value="<%=item.getParentCategoryID()%>">
			  			<% if(hierarchy != null){ %>
						  <input type="hidden" name="<%=ICatalogAction.HIER_NAME%>" value="<%=hierarchy.getHierarchy()[0]%>" >
						  <input type="hidden" name="<%=ICatalogAction.HIER_TYPE%>" value="<%=hierarchy.getHierarchyType()[0]%>" >						  
						<% } %>
							<td><input type="submit" value="Download" class="wpsButtonBlueSmall" onClick="submitForm(document.workCatalogForm,'<%wpsURL.write(out);%>'); "></td> 
						</wps:urlGeneration>							
	</tr>
	<tr>
<%
	} else if((command != null) && (ICatalogAction.SEARCH_VIEW_MODE.equals(command)) )
	{%>
		<TD><input class="wpsButtonText" type="button"
			name="<portletAPI:encodeNamespace value='OK'/>"
			value='<wpctags:uilabel key="WORK_WITH_ITEM.OK_LABEL"/>'onClick="javascript:window.close();" />	</TD>
		
	<%}
	else {
%>
		<td><input class="wpsButtonText" type="button"
			name="<portletAPI:encodeNamespace value='OK'/>"
			value='<wpctags:uilabel key="WORK_WITH_ITEM.OK_LABEL"/>'
			onClick="submitForm(document.workCatalogForm,'<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(), "OK")%>')"></td>
		<td><input class="wpsButtonText" type="button"
			name="<portletAPI:encodeNamespace value='CANCEL'/>"
			value='<wpctags:uilabel key="WORK_WITH_ITEM.CANCEL_LABEL"/>'
			onClick="submitForm(document.workCatalogForm,'<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(), "CANCEL")%>')"></td>
<%
 }
%>		

	</tr>
</table>

</form>

<script language="javascript">
<!--  
	function getCatalogue(name){
		
		//alert(name);
		var box=document.getElementsByName(name);
		//alert(box[0].selectedIndex);
		var ctgName=box[0].options[box[0].selectedIndex].value;
		//alert("CTG=" +ctgName);
		return ctgName;
	}
	
	function openSearch(catalog,id)
	{
		
		var ctg=getCatalogue(catalog);
		var path= workCatalogForm.name +"." + id;
		<wps:urlGeneration  contentNode='<%=(String)action2page.get("WPS.UTILS")%>' compositionNode="search"  portletWindowState="Solo">
			var url="<%wpsURL.write(out);%>" + "?" + "<%=IReference.KEY_CATALOG_NAME%>=" + ctg + "&" + "<%=IReference.KEY_ATTRIBUTE_NAME%>=" + path;
			window.open(url,'Search',"top=220,left=320,width=600,height=400,resizable=yes,scrollbars=yes,menubar=no,toolbar=no,directories=no,location=no,status=no");
		</wps:urlGeneration>
		 	
	}
	
	function openBrowse(catalog,id)
	{	
		var ctg=getCatalogue(catalog);
		var path= workCatalogForm.name +"." + id;
		<wps:urlGeneration  contentNode='<%=(String)action2page.get("WPS.UTILS")%>' compositionNode="item"  portletWindowState="Solo">
			var url="<%wpsURL.write(out);%>" + "?" + "<%=IReference.KEY_CATALOG_NAME%>=" + ctg + "&" + "<%=IReference.KEY_ATTRIBUTE_NAME%>=" + path;
			window.open(url,'Browse',"top=220,left=320,width=600,height=400,resizable=yes,scrollbars=yes,menubar=no,toolbar=no,directories=no,location=no,status=no");
		 </wps:urlGeneration>	
	}
	
	function openLookupTable(catalog,id)
	{	
		var ctg=catalog;
		var path= workCatalogForm.name +"." + id;
		<wps:urlGeneration  contentNode='<%=(String)action2page.get("WPS.UTILS")%>' compositionNode="lookuptable"  portletWindowState="Solo">
			var url="<%wpsURL.write(out);%>" + "?" + "<%=IReference.KEY_CATALOG_NAME%>=" + ctg + "&" + "<%=IReference.KEY_ATTRIBUTE_NAME%>=" + path;
			window.open(url,'LookupTable',"top=220,left=320,width=600,height=400,resizable=yes,scrollbars=yes,menubar=no,toolbar=no,directories=no,location=no,status=no");
		 </wps:urlGeneration>	
	}
	
	function openViewItem(catalog,id)
	{	
		var ctg=getCatalogue(catalog);
		
		var txt=document.getElementsByName(id);
		var itemId=txt[0].value;
		//var itemId="5";
		<wps:urlGeneration  contentNode='<%=(String)action2page.get("WPS.UTILS")%>' compositionNode="view"  portletWindowState="Solo">
			var url="<%wpsURL.write(out);%>" + "?" + "<%=ICatalogAction.CATALOG%>=" + ctg + "&" + "<%=ICatalogAction.COMMAND%>=" + "<%=ICatalogAction.SEARCH_VIEW_MODE%>" + "&" 
			+ "<%=ICatalogAction.ITEMID%>=" + itemId;
			window.open(url,'ViewItem',"top=220,left=320,width=600,height=400,resizable=yes,scrollbars=yes,menubar=no,toolbar=no,directories=no,location=no,status=no");
		 </wps:urlGeneration>
	}
	
	function openPreview(val,e,attrName,type,strextn) {
	<%
		if(!UIUtils.isEmpty(item.getItemID())){
			 String userkey = userName+"_"+ portletRequest.getUser().getLastLoginTime();
			String user_query_string =	"'&KEY="+userkey +"'";
			try {
					if (!CacheManager.isCacheEnabled()) {
						user_query_string = "'&"+IWPCUser.KEY_USER_ID+"=" +userName+"&"+IWPCUser.KEY_COMPANY+"="+company+"&"+IWPCUser.KEY_SUPPLIER_GLN+"="+gln+"'";
					}
				} catch (Exception e2) {
					user_query_string = "'&"+IWPCUser.KEY_USER_ID+"="+userName+"&"+IWPCUser.KEY_COMPANY+"="+company+"&"+IWPCUser.KEY_SUPPLIER_GLN+"="+gln+"'";
				}
	%>
			if(val != ''){
				var query_string = 'ele='+e+'&eurl=<%=portletResponse.encodeURL("/")%>&ATTR_NAME=' + attrName +'&ATTR_TYPE='+ type +'&ATTR_EXTN='+ strextn+'&CATALOG_ID=<%=item.getCatalogID()%>&CATEGORY_ID=<%=item.getParentCategoryID()%>&ITEM_ID=<%=item.getItemID()%>'+<%=user_query_string%> ;
				window.open('<%=portletResponse.encodeURL("/jsps/html/itemcatalog/PreviewFile.jsp")%>?' + query_string ,'Preview',"top=120,left=320,width=620,height=300,resizable=no,scrollbars=yes,menubar=no,toolbar=no,directories=no,location=no,status=no");
			}
	<%
	  }
	%>
	}
	// -->	
</script>
