<%@ page session="false" contentType="text/html"%>
<%@ taglib uri="/WEB-INF/tld/portlet.tld" prefix="portletAPI" %>
<%@ taglib uri="/WEB-INF/tld/wpctags.tld" prefix="wpc" %>
<%@ page import="java.util.*"%>
<%@ page import="com.ibm.ccd.ui.context.IWPCUser"%> 
<%@ page import="com.ibm.ccd.ui.validator.IValidatorMessage"%>

<portletAPI:init/>
  
<%
String userId = (String) portletRequest.getUser().getAttribute(IWPCUser.KEY_USER_ID);
//Fetch the list of attributes and corresponding error messages from portlet context
String attributeList = (String)portletConfig.getContext().getAttribute(IValidatorMessage.ATTRIBUTE_LIST + userId);
String errorMsgList = (String)portletConfig.getContext().getAttribute(IValidatorMessage.ERROR_MESSAGE_LIST + userId);
	
	ArrayList attrList = new ArrayList();
	ArrayList errorList = new ArrayList();

	if(attributeList !=null && errorList != null){

		//Attributes and errors are tokenized with ~
		StringTokenizer attr = new StringTokenizer(attributeList,"~");
		StringTokenizer error = new StringTokenizer(errorMsgList,"~");
		
		while(attr.hasMoreTokens()){
		attrList.add(attr.nextToken());
		errorList.add(error.nextToken());
		}
	} // if attributeList !=null

%>

<link href="<%=portletResponse.encodeURL("/css/wpc_classic/WPC_UI_Styles.css")%>" rel="styleSheet" type="text/css" >
<wpc:uimessages/>
<table BORDER="1" cellspacing="0" width ="100%" >
  <tr CLASS="wpsPortletTitleRow">
    <th>Attributes</th>
    <th>Errors</th>
  </tr>

<%
for(int i=0; i<attrList.size();i++){
String style = null;
if((i%2)==0)
	style = "wpsPortletRow";
else
	style = "wpsPortletOddRow";

%>

  <tr class=<%= style %> >
    <td><%= attrList.get(i) %></td>
    <td><%= errorList.get(i) %></td>
  </tr>

<% 
}
%>
</table>


