<%-- @copyright jsp --%>

<%--


	NOTE: If you change this file, you must "touch" the version of Default.jsp which includes
		 it to see your changes.  You can do this by editing Default.jsp and saving it.

		 Default.jsp uses the @include JSP directive which compiles this file into the
		 servlet for Default.jsp.


--%>

<%--
	The following bit of code is to make BIDI support a little easier.
	These variables are meant to suppliment the <wps:bidi ...> tag.
	There are situations where it is easier to use these variables instead of the tag itself.
--%>
<%
	String bidiAlignRight = "right";	// BIDI sensitive value for align="right" attribute
	String bidiAlignLeft  = "left"; 	// BIDI sensitive value for align="left" attribute
	String bidiDirAttr    = ""; 	   // BIDI sensitive value for dir="rtl" attribute
	String bidiImageRTL   = ""; 	   // BIDI sensitive value for adding _rtl to a graphic
	boolean isRTL = false;
%>
<wps:bidi is="rtl">
	<%
		bidiAlignRight = "left";	   // BIDI sensitive value for align="right" attribute
		bidiAlignLeft  = "right";      // BIDI sensitive value for align="left" attribute
		bidiDirAttr    = "dir=\"rtl\"";  // BIDI sensitive value for dir="rtl" attribute
		bidiImageRTL   = "_rtl";	   // BIDI sensitive value for adding _rtl to a graphic
		isRTL = true;
	%>
</wps:bidi>

<head>
	<title><wps:text key="title" bundle="nls.engine"/></title>

	<link href='<wps:urlFindInTheme file="Styles.css"/>' rel="styleSheet" type="text/css">
	<link href='<wps:urlFindInTheme file="WPC_UI_Styles.css"/>' rel="styleSheet" type="text/css">
	<link href='<wps:urlFindInTheme file="LWP_Styles.css"/>' rel="styleSheet" type="text/css">
	<link href='<wps:urlFindInTheme file="HelpStyles.css"/>' rel="styleSheet" type="text/css">

	<%-- This includes Extend/Express specific features into the head. --%>
	<%@ include file="../extension/HeadInclude.jsp" %>

</head>
