#!/bin/bash
# Licensed Materials - Property of IBM
# 5724-I68
#
# (C) Copyright IBM Corp. 2000, 2006
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

# 
# # Copyright (c) 2000, 2004 IBM Corp. - All Rights Reserved.
# # IBM makes no representations or warranties about the suitability of
# # this program, either express or implied, including but not limited to
# # the implied warranties of merchantability, fitness for a particular
# # purpose, or non-infringement. 
# 
#

. ${TOP}/bin/get_params.sh
SVC_NAME=admin_${SHORT_HOSTNAME}
. ${ADMIN_DIR}/init_svc_vars.sh
if [ ! "${_CCD_STOP}" = "no" ]; then
    ${ADMIN_DIR}/abort/abort_admin.sh --svc_name=${SVC_NAME}
fi
${ECHO} "starting service '${SVC_NAME}'"
startWithLogs ${JAVA_RT_HOTSPOT} ${ADMIN_MEMORY_FLAG} ${CCD_ADMIN_JVM_DEBUG_OPTS} ${CCD_ADMIN_JVM_PROFILING_AGENT} -Dsvc_name=${SVC_NAME} -Dprofiler_opts=${CCD_ADMIN_PROFILER_NAME}__${CCD_ADMIN_PROFILER_PORT} com.ibm.ccd.admin.common.Admin
