
/*
* Licensed Materials: Property of IBM
* "Restricted Materials of import java.io.Serializable;
import java.util.HashMap;

import com.ibm.ccd.ui.util.ValidationUtil;
"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/*
 * Created on Jan 19, 2005
 */
package com.ibm.ccd.ui.context;

import java.io.Serializable;
import java.util.HashMap;

import com.ibm.ccd.ui.util.ValidationUtil;


/**
 * This class contains the WPC User information.(e.g. info stored in LDAP)
 *
 */
public class WPCUser implements IWPCUser, Serializable {
    /**
     * Contains the key/value pair for user's attribute
     */
    HashMap user = null;

    /**
     * Default constructor
     */
    public WPCUser() {
        user = new HashMap();
    }

    /**
     * This method returns the user's property
     */
    public Object getProperty(String key) {
        Object value = null;
        value = user.get(key);

        return value;
    }

    /**
     * set the property in WPCUser object
     */
    public void setProperty(String key, Object value) {
        if (!ValidationUtil.isNullOrEmpty(key)) {
            user.put(key, value);
        }
    }
}
