/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package com.ibm.ccd.ui.dataobjects.view;

/**
 * @author Senthil G Kumar
 *
 */
public interface ICatalogViewKeys {

	public static final String VIEW_CONTAINER = "wpcContainerView";

	public static final String VIEW_CONTAINER_NAME = "ContainerName";

	public static final String TAB_GROUP = "TabGroup";

	public static final String TAB = "Tab";

	public static final String ATTRIB_COL = "AttributeCollection";

	public static final String ATTRIB_COLS = "AttributeCollections";

	public static final String ATTRIB_LIST = "wpcAttributeCollection";

	public static final String ATTRIB_NAME = "Name";

	public static final String ATTRIB_TYPE = "Type";

	public static final String SPEC_LIST = "SpecList";

	public static final String SPEC_NAME = "Spec";

	public static final String ATTRIBUTE = "Attr";
	
	public static final String CATALOG_VIEW = "wpcCatalogView";

	public static final String CATALOG_VIEW_LIST ="wpcCatalogViewList";
	
	public static final String CATALOG_VIEW_NAME = "wpcViewName";

	public static final String TAG_ATTIB_NAME = "attribname";

	public static final String TAG_ATTRIB = "wpcui:attribute";

	public static final String TAG_GROUPATTRIB = "wpcui:groupAttribute";

}
