
/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


package com.ibm.ccd.ui.exception;

import java.io.Serializable;


public class Message implements Serializable {
    private String type;
    private String key;
    private Object[] values;

    Message(String type, String key, Object[] values) {
        this.type = type;
        this.key = key;
        this.values = values;
    }

    public String getType() {
        return type;
    }

    public String getKey() {
        return key;
    }

    public Object[] getValues() {
        return values;
    }
}
