
/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


package com.ibm.ccd.ui.mediator;


/**
 * Represents the result state of the WS call made on WPC
 */
public interface IMediatorResultState {
    // success on invokation
    public static final int SUCCESS = 000;

    // transaction is filpped to async and returns the transactionID
    public static final int PROCESING = 999;

    // failed invokation
    public static final int FAILURE = 111;
}
