package com.ibm.ccd.ui.portlets.catalog.util;

import java.util.Hashtable;
import java.util.Enumeration;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.FileOutputStream;
import java.io.FileInputStream;
import java.io.ObjectOutputStream;
import java.io.ObjectInputStream;

public class LastBrowsedCatalalog {

    public void saveCatalog(String wpsUser, String catalogId) {
        System.out.println("Inside the saveCatalog");
        System.out.println("catalog id is " + catalogId);
        Hashtable h = new Hashtable();
        h.put("string", catalogId);

        try {

            String curDir = System.getProperty("user.dir");
            FileOutputStream fileOut = new FileOutputStream(curDir + "/"
                    + wpsUser + ".ser");
            System.out.println("Current directory is " + curDir + "/" + wpsUser
                    + ".ser");
            ObjectOutputStream out = new ObjectOutputStream(fileOut);

            out.writeObject(h);

            out.close();
            fileOut.close();

        } catch (FileNotFoundException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    /**
     * Loads the contents of a previously serialized object from a file called
     * HTExample.ser.
     */
    public String loadCatalog(String wpsUser) {
        String catID="";
        Hashtable h = null;

        try {

            FileInputStream fileIn = new FileInputStream(wpsUser + ".ser");
            ObjectInputStream in = new ObjectInputStream(fileIn);

            h = (Hashtable) in.readObject();

            in.close();
            fileIn.close();

        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        } catch (FileNotFoundException e) {
            e.printStackTrace();
            return catID;
        } catch (IOException e) {
            e.printStackTrace();
        }

        Object obj = null;
        for (Enumeration e = h.keys(); e.hasMoreElements();) {
            obj = e.nextElement();

        }

        return (String) h.get(obj);
    }

}