
/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/*
 * Created on Dec 2, 2004
 */
package com.ibm.ccd.ui.portlets.quicksearch;



/**
 * This interface lists the methods for search criteria and search results
 */
public interface IQuickSearch {
    /**
     *Indicates the form acotion for serach view jsp
     */
    String FORM_ACTION_VIEW = "FormActionView";

    /**
     * Indicates the form acotion for serach view jsp
     */
    String FORM_ACTION_CONFIG = "FormActionConfig";

    /**
     * Indicates the key for storing <code>SearchCriteriaViewBean</code>
     */
    String KEY_SEARCH_CRITERIA_BEAN = "SearchCriteriaBean";

    /**
     * Indicates the business function <i>search criteria</i>
     */
    String BUSINESS_FUNCTION_QUICK_SEARCH = "QUICK_SEARCH";

    /**
     * indiccates the application mode
     */
    String BUSINESS_ACTION_VIEW = "VIEW";

    /**
     * indiccates the application mode
     */
    String BUSINESS_ACTION_CONFIG = "CONFIG";

    /**
     * Indicates the form action
     */
    String FORM_ACTION_PERFORM_SEARCH = "performSearch";

    /**
     * key for button label
     */
    String LABEL_CONFIG_SUBMIT = "UPDATE";

    /**
     * Indicates the key for storing <code>QuickSearchConfigBean</code>
     */
    String KEY_SEARCH_CONFIG_BEAN = "SEARCH_CONFIG_BEAN";

    /**
     * Indicates the message code for application exception message
     */
    String MSG_APPLICATION_EXCEPTION = "MESSAGE_CODE_105";

    /**
     * Indicates the message code for application exception message
     */
    String MSG_SYSTEM_EXCEPTION = "MESSAGE_CODE_106";

    /**
     * Indicates the message code for processing failur
     */
    String MSG_TRY_LATER = "MESSAGE_CODE_100";

    /**
     * indicates path of view jsp
     */
    String PATH_SEARCH_VIEW_JSP = "/jsps/html/quicksearch/QuickSearchPortletView.jsp";

    /**
     * indicates path of config jsp
     */
    String PATH_SEARCH_CONFIG_JSP = "/jsps/html/quicksearch/QuickSearchPortletConfig.jsp";

    /**
     * indicates path of help jsp
     */
    String PATH_SEARCH_HELP_JSP = "/jsps/html/quicksearch/QuickSearchPortletHelp.jsp";

    /**
     * form element for search criteria
     */
    String ELEMENT_SEARCH_CRITERIA = "searchCriteria";

    /**
     * form element for search result
     */
    String ELEMENT_SEARCH_RESULT = "searchResult";
    String CONFIG_INDEX_TOKENIZER = "#";
    String CONFIG_ATTRIBUTE_TOKENIZER = "~";
    String KEY_CONFIG_ATTRIBUTES = "CONFIG_ATTRIBUTES";
}
