
/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/*
 * Created on Jan 13, 2005
 */
package com.ibm.ccd.ui.portlets.search.core;

import java.io.Serializable;


/**
 * This class is a data bean containg saved searches and related information
 */
public class SearchInputBean implements Serializable {
    /**
     * Contains the search XML
     */
    private String searchXML = null;

    /**
     * Contains the URL for displaying search criteria
     */
    private String URL = null;

    /**
     * Constructor
     */
    public SearchInputBean() {
        super();
    }

    /**
     * @return
     */
    public String getSearchXML() {
        return searchXML;
    }

    /**
     * @return
     */
    public String getURL() {
        return URL;
    }

    /**
     * @param string
     */
    public void setSearchXML(String string) {
        searchXML = string;
    }

    /**
     * @param string
     */
    public void setURL(String string) {
        URL = string;
    }
}
