
/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/*
 * This package consists of classes pertaining to User Registration
 * related functionality
 */
package com.ibm.ccd.ui.portlets.user;


/**
 *
 * A sample Java bean that stores portlet instance data in portlet session.
 *
 * @deprecated Use SelfCare Portlet provided by Websphere Portal instead.
 */
public class UserRegistrationPortletSessionBean {
    //**********************************************************
    //* Last text for the text form
    //**********************************************************
    private String formText = "";

    /**
     * Set last text for the text form.
     *
     * @param formText last text for the text form.
     */
    public void setFormText(String formText) {
        this.formText = formText;
    }

    /**
     * Get last text for the text form.
     *
     * @return last text for the text form
     */
    public String getFormText() {
        return this.formText;
    }
}
