
/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/*
 * This package consists of classes pertaining to Supplier Portal Version,
 */
package com.ibm.ccd.ui.portlets.wpcversion;



/**
 * A User Java bean that stores instance data of the Supplier Portal Version Info.
 */
public class WpcVersionBean {
    /** Parameter name for wpcPortalReleaseVersion
     */
    private String wpcPortalReleaseVersion = IWPCVersion.WPC_PORTAL_RELEASE_VERSION;

    /** Parameter name for wpcBuildLevel
     */
    private String wpcBuildLevel = IWPCVersion.WPC_PORTAL_BUILD_LEVEL;

    /**
     * @return wpcPortalReleaseVersion
     */
    public String getWpcPortalReleaseVersion() {
        return wpcPortalReleaseVersion;
    }

    /**
     * @param wpcPortalReleaseVersion
     */
    public void setWpcPortalReleaseVersion(String wpcPortalReleaseVersion) {
        this.wpcPortalReleaseVersion = wpcPortalReleaseVersion;
    }

    /**
     * @return wpcBuildLevel
     */
    public String getWpcBuildlevel() {
        return wpcBuildLevel;
    }

    /**
     * @param wpcBuildLevel
     */
    public void setWpcBuildlevel(String wpcBuildLevel) {
        this.wpcBuildLevel = wpcBuildLevel;
    }
}
