-- IBM Confidential
-- OCO Source Materials
-- 5724-I68.
-- (C) Copyright IBM Corp. 2007 - All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure 
-- restricted by GSA ADP Schedule Contract with IBM Corp. 

-- ref. WPC00031413 and subsequent email

drop index iwfl_stp_0;
create index iwfl_stp_0 on twfl_stp_step_performer (
        stp_step_id,
        stp_cmp_id
)   ALLOW REVERSE SCANS;

drop index iwfl_ste_0;
create index iwfl_ste_0 on twfl_ste_step_exit_value (
        ste_step_id,
        ste_cmp_id
)   ALLOW REVERSE SCANS;

drop index iwfl_cae_1;
create index iwfl_cae_1 on twfl_cae_coll_area_entry (
        cae_lock_id,
        cae_entry_id,
        cae_step_path_id,
        cae_ca_id,
        cae_cmp_id
)   ALLOW REVERSE SCANS;

drop index isec_rat_0;
create index isec_rat_0 on tsec_rat_role_attributes (
        rat_role_id,
        rat_name,
        rat_attr_value
)   ALLOW REVERSE SCANS;

commit;
