-- {COPYRIGHT-TOP} --
-- Licensed Materials - Property of IBM
-- 5724-I68
--
-- (C) Copyright IBM Corp. 2000, 2006
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- {COPYRIGHT-END} --

-- ====================================================================
-- WARNING: When a new user is added, please make sure to update the encrypted password for the user
-- by running:       $JAVA_RT austin.security.UpdatePassword userName password
-- Trigo employees
-- ====================================================================

delete from tsec_scu_user where scu_company_id = 1 and scu_user_id > 0;

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'Admin', 'trigopass',
       'Trigo', 'Root', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'dprophete@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'ua', 'ua',
       'Umair', 'Akeel', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'uakeel@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'vb', 'vb',
       'Vis', 'Bowatte', 1, '(650) 985 7400', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'vbowatte@trigo.com', '', '(650) 330-0997', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'wolf', 'wolf',
       'Wolfgang', 'Mathurin', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'wmathurin@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'trauf', 'baby',
       'Tariq', 'Rauf', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'tariq@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'oa', 'oa',
       'Omair', 'Ashfaq', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'oashfaq@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'saad', 'saad',
       'Saad', 'Tabani', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'stabani@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'abelanger', 'abelanger',
       'Alexis', 'Belanger', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'abelanger@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'pp', 'pp',
       'Patrice', 'Pominville', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'ppominville@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'dp', 'baby',
       'Didier', 'Prophete', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'dprophete@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'at', 'at',
       'Arvind', 'Thyagarajan', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'athyagarajan@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'rm', 'fh',
       'Reza', 'Mohsin', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'reza@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'mi', 'mi',
       'Mohammad', 'Inamullah', 1, '(650) 330-0980', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'minamullah@trigo.com', '', '(650) 330-0997', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'va', 'va',
       'Vikrant', 'Akavaram', 1, '(650) 330-0980', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'vakavaram@trigo.com', '', '(650) 330-0997', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'cp', 'cp',
       'Chong Pin', 'Lim', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'demo@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'anand', 'marina',
       'Anand', 'Rao', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'arao@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'mrahmani', 'marina',
       'Mark', 'Rahmani', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'mrahmani@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'jgreene', 'jgreene',
       'John', 'Greene', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'jgreene@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'qa', 'marina',
       'QA', 'User', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'qa@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'dloflin', 'baby',
       'Dan', 'Loflin', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'dloflin@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'francine', 'riowen',
       'Francine', 'Abgrall', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'fabgrall@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

insert into tsec_scu_user values
       (nextval for qsec_scu_user_id, 'Y', 'pg', 'pg',
       'Paul', 'Giannini', 1, '(650) 827-0500', 'Suite 810, 8000 Marina Blvd, Brisbane CA 94005', 'pgiannini@trigo.com', '', '(650) 827-0500', 0, 'N', 'demo@trigo.com', '', '');

commit;

terminate;

