-- LCK indexes modified to reduce redo log generation

alter table tutl_lck_lock drop constraint lck_0_uk;

drop index iutl_lck_0;
create unique index iutl_lck_0
  on tutl_lck_lock (
    lck_jvm_id, 
    lck_thread_id, 
    lck_type, 
    lck_object_id, 
    lck_object_type
  )
cluster
allow reverse scans
;

drop index iutl_lck_2;
create index iutl_lck_2
  on tutl_lck_lock (
    lck_object_id,
    lck_object_type
  )
allow reverse scans
;

alter table tutl_lck_lock not volatile cardinality;
