create table temp_cem
( 
    cem_cmp_id                    number(9,0) not null,
    cem_ca_id                     number(9,0) not null,
    cem_ca_entry_id               number(9,0) not null,
    cem_src_ctg_id                number(9,0) not null,
    cem_src_entry_id              number(9,0) not null,
    primary key (cem_ca_id, cem_ca_entry_id, cem_cmp_id, cem_src_ctg_id, cem_src_entry_id)
) 
organization index tablespace users overflow tablespace indx;

insert into temp_cem
select cem_cmp_id, cem_ca_id, cem_ca_entry_id, cem_src_ctg_id, cem_src_entry_id
from cem group by
cem_cmp_id, cem_ca_id, cem_ca_entry_id, cem_src_ctg_id, cem_src_entry_id;

drop table twfl_cem_coll_entry_mapping;

rename temp_cem to twfl_cem_coll_entry_mapping;
