-- LCK indexes modified to reduce redo log generation

alter table tutl_lck_lock drop constraint lck_0_uk;
drop index lck_0_uk;

drop index iutl_lck_0;

create UNIQUE index iutl_lck_0
on tutl_lck_lock (
lck_jvm_id,
lck_thread_id,
lck_type,
lck_object_id,
lck_object_type
)
tablespace indx
nologging;

create index iutl_lck_2
on tutl_lck_lock (
lck_object_id,
lck_object_type
)
tablespace indx
nologging;
