-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.



update command options using c off;

drop index idoc_dbl_0;
create index idoc_dbl_0 on tdoc_dbl_doc_blob (
        dbl_doc_id,
        dbl_cmp_id
)   ALLOW REVERSE SCANS;

drop index idoc_dhi_0;
create index idoc_dhi_0 on tdoc_dhi_doc_hierarchy (
        dhi_doc_id,
        dhi_cmp_id
)   ALLOW REVERSE SCANS;

drop index idoc_dhi_1;
create index idoc_dhi_1 on tdoc_dhi_doc_hierarchy (
        dhi_doc_real_path,
        dhi_cmp_id
)   ALLOW REVERSE SCANS;

drop index idoc_doa_0;
create index idoc_doa_0 on tdoc_doa_doc_attributes (
        doa_name,
        doa_doc_id,
        doa_cmp_id
)   ALLOW REVERSE SCANS;

drop index idoc_dad_0;
create index idoc_dad_0 on tdoc_dad_docstore_audit (
        dad_doc_path,
        dad_cmp_id
)   ALLOW REVERSE SCANS;



commit;

update command options using c on;

terminate;