-- Licensed Materials - Property of IBM
-- 5724-I68
--
--  Copyright IBM Corp. 2000, 2007 
--
-- US Government Users Restricted Rights - Use, duplication, or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.



update command options using c off;

drop index iutl_lck_0;
create index iutl_lck_0 on tutl_lck_lock (
        lck_jvm_id,
        lck_thread_id,
        lck_type
)   ALLOW REVERSE SCANS;

drop index iutl_jhb_0;
create index iutl_jhb_0 on tutl_jhb_jvm_heartbeat (
        jhb_jvm_id
)   ALLOW REVERSE SCANS;



commit;

update command options using c on;

terminate;