insert into metadata_statistics (order_sequence, metadata_defn, total_entries, rundate, metadata_id)
select 
rownumber() over (order by count(1) desc), 
'NumeralsPerPrimarySpec', count(1), current timestamp, noh_spec_id
from noh, spa
where noh_spec_id = spa_spec_id
and noh_company_id = spa_company_id
and noh_next_version_id = spa_next_version_id
and noh_company_id = 40001
and noh_next_version_id = 999999999
and spa_name = 'TYPE'
and spa_value = 'PRIMARY_SPEC'
and noh_child_node_id in
(select nod_id from nod, noa
where NOD_COMPANY_ID = noh_company_id
and NOD_NEXT_VERSION_ID = noh_next_version_id
and NOD_COMPANY_ID = noa_company_id
and NOD_NEXT_VERSION_ID = noa_next_version_id
and nod_id = noa_node_id
and nod_type = 'ATTRIBUTE'
and noa_name = 'TYPE'
and noa_value in ('NUMBER','INTEGER')
)
group by noh_spec_id
;
commit;
