
function setSelectedDay(attribId, myElement, bPeriod)
{
    if (getCellSubstring(myElement.id) == "calCell")
    {

		var dateValue = parseInt(myElement.childNodes[0].innerHTML, 10);
		if (!isNaN(dateValue))
        {
            objPrevElement.bgColor = ""+rememberColor;
            if (myElement.bgColor == currentDateColor)
            {
                rememberColor = currentDateColor;
            }
            else if (myElement.bgColor == weekendDateColor)
            {
                rememberColor = weekendDateColor;
            }
            else
            {
                rememberColor = "";
            }
            myElement.bgColor = selectedDateColor;

            
            if (dateValue < 10)
            {
                dateValue = "0" + dateValue;
            }
			document.getElementById(attribId + "_lastSelected").value = dateValue;
			objPrevElement = myElement;

		}
	}
}

function setDateParams(attribId)
{
	selMonthIndex = document.getElementById(attribId + '_tbSelMonth').selectedIndex;
	var theMonthInt = (selMonthIndex + 1 );
	if (selMonthIndex < 9)
	{
		theMonth = "0" + theMonthInt;
	}
	else
	{
		theMonth = "" + theMonthInt;
	}

	theYear = document.getElementById(attribId + '_tbSelYear').value;

	if (!bDDMM)
	{
		dateString = theYear + deLim + theMonth + deLim + document.getElementById(attribId + "_lastSelected").value + "";
	}
	else
	{
		dateString = theYear + deLim + theMonth + deLim + document.getElementById(attribId + "_lastSelected").value + "";
	}

	if (!bDateOnly)
	{
		dateString += " " + document.getElementById(attribId + '_timeField').value;
	}

	var parseTimeString = document.getElementById(attribId + '_timeField').value;
	parsedHour = parseTimeString.substring(0, 2);
	parsedMin = parseTimeString.substring(3, 5);
	parsedSeconds = parseTimeString.substring(6,8);
}


function setStartDate(attribId, myElement, bPeriod)
{
//theDateFormat ='yyyy-mm-dd HH:MM:SS';
    if (getCellSubstring(myElement.id) == "calCell")
    {
		var dateValue = parseInt(myElement.childNodes[0].innerHTML, 10);
        if (!isNaN(dateValue))
        {
			setDateParams(attribId);
	
			if (!bDateOnly)
			{
				selectedStartDate = new Date(theYear, selMonthIndex, document.getElementById(attribId + "_lastSelected").value, parseInt(parsedHour, 10), parseInt(parsedMin, 10),parseInt(parsedSeconds,10));
			}
			else
			{
				selectedStartDate = new Date(theYear, selMonthIndex, document.getElementById(attribId + "_lastSelected").value);
			}
			if (!bPeriod)
			{
				document.getElementById(attribId + "_calSelectedDate").value = dt2dtstr(selectedStartDate,theDateFormat);
				document.getElementById(attribId + "_calSelectedStartDate").value = dt2dtstr(selectedStartDate,theDateFormat);
			}
			else
			{
				document.getElementById(attribId + "_calSelectedStartDate").value = dt2dtstr(selectedStartDate,theDateFormat);
				document.getElementById(attribId + "_calSelectedDate").value = dt2dtstr(selectedStartDate,theDateFormat);
			}
			dateString = "";
		
			showDate(attribId, bPeriod);
		}
	}
}

function setEndDate(calendarParentFormName, bPeriod)
{
	if (bPeriod)
	{
		setDateParams();
	
		if (!bDateOnly)
		{
			selectedEndDate = new Date(theYear, selMonthIndex, parent.document.getElementById("lastSelected").value, parseInt(parsedHour, 10), parseInt(parsedMin, 10));
		}
		else
		{
			selectedEndDate = new Date(theYear, selMonthIndex, parent.document.getElementById("lastSelected").value);
		}

		if (parent.document.getElementById("calSelectedStartDate").value == "")
		{
			if (parent.document.getElementById("calSelectedDate").value != "")
			{
				parent.document.getElementById("calSelectedStartDate").value = parent.document.getElementById("calSelectedDate").value;
			}
			else
			{
				//alert("Please select a start date first");
			}
		}

		parent.document.getElementById("calSelectedEndDate").value = dateString;
		dateString = "";

		showDate(calendarParentFormName, bPeriod);
	}
	else
	{
		parent.document.getElementById("optionField").selectedIndex = 3;
		bPeriod = true;

		setDateParams();

		if (!bDateOnly)
		{
			selectedEndDate = new Date(theYear, selMonthIndex, parent.document.getElementById("lastSelected").value, parseInt(parsedHour, 10), parseInt(parsedMin, 10));
		}
		else
		{
			selectedEndDate = new Date(theYear, selMonthIndex, parent.document.getElementById("lastSelected").value);
		}

		if (parent.document.getElementById("calSelectedStartDate").value == "")
		{
			if (parent.document.getElementById("calSelectedDate").value != "")
			{
				parent.document.getElementById("calSelectedStartDate").value = parent.document.getElementById("calSelectedDate").value;
			}
			else
			{
				//alert("Please select a start date first");
				//dateString = "";
			}
		}

		parent.document.getElementById("calSelectedEndDate").value = dateString;
		dateString = "";
		showDate(calendarParentFormName, bPeriod);
	}
}



function updateCalendar(attribId,iYear, iMonth, iDate, sTime)
{
    myMonth = buildCalendar(iYear, iMonth, iDate);
    objPrevElement.bgColor = "";
    objPrevElement.borderWidth = "0px";
    document.getElementById(attribId+"_calSelectedDate").value = "";
    var currentYear = selectedStartDate.getFullYear();
    var currentMonth = selectedStartDate.getMonth()+1;
			      calDateTextObj = document.getElementById("calDateText_1_0");

    for (w = 1; w < 7; w++)
    {
        for (d = 0; d < 7; d++)
        {
            if (!isNaN(myMonth[w][d]))
            {
			      calDateTextObj = document.getElementById("calDateText_"+w+"_"+d);
				  calDateTextObj.innerHTML = myMonth[w][d];
                if ((currentMonth == iMonth) && (currentYear == iYear) && (iDate == myMonth[w][d]))
                {
                    calDateTextObj.parentNode.bgColor = "cdd6a9";
                    calDateTextObj.parentNode.borderWidth = "1px";
                    calDateTextObj.parentNode.borderStyle = "solid";
                    calDateTextObj.parentNode.borderColor = "000000";

                }
                else
                {
                    if ((d=="0") || (d=="6"))
                    {
                        calDateTextObj.parentNode.bgColor = "eeeaaa";
                        calDateTextObj.parentNode.borderWidth = "0px";
                        calDateTextObj.parentNode.borderStyle = "solid";
                        calDateTextObj.parentNode.borderColor = "eeeaaa";
                    }
                    else
                    {
                        calDateTextObj.parentNode.bgColor = "";
                        calDateTextObj.parentNode.borderWidth = "0px";
                        calDateTextObj.parentNode.borderStyle = "solid";
                        calDateTextObj.parentNode.borderColor = "ffffff";
                    }
                }
            }
            else
            {
		      calDateTextObj = document.getElementById("calDateText_"+w+"_"+d);
                calDateTextObj.innerHTML = " ";
                calDateTextObj.parentNode.style.cursor = "";
                calDateTextObj.parentNode.bgColor = "e4e4e4";
                calDateTextObj.parentNode.borderWidth = "0px";
                calDateTextObj.parentNode.borderStyle = "solid";
                calDateTextObj.parentNode.borderColor = "e4e4e4";
            }
        }
    }
}

function showDate(attribId, bPeriod)
{
	if (!bPeriod)
    {
		if (document.getElementById(attribId + "_calSelectedDate").value != "")
		{
            document.getElementById("dateField_"+attribId+"_datefield").value = document.getElementById(attribId + "_calSelectedDate").value;
			document.getElementById("dateField_"+attribId+"_datefield").focus();
        }
	}
	else
	{
		document.getElementById("dateField_"+attribId+"_datefield").value = document.getElementById(attribId + "_calSelectedStartDate").value + " to " + document.getElementById(attribId + "_calSelectedEndDate").value;
		if ((document.getElementById(attribId + "_calSelectedStartDate").value) != "" && (document.getElementById(attribId + "_calSelectedEndDate").value != ""))
		{
        	//document.getElementById("calendarContentDiv").style.visibility = "hidden";
			document.getElementById("dateField_"+attribId +"_datefield").focus();
		}
    }

	if (document.getElementById("dateField_"+attribId+"_datefield").value == "")
    {
        alert("Please select a date");
    }
}

// dt_datetime yyyy-mm-dd hh:mm:ss
// dateFormat dd/mm/yyyy
function dtstr2dtfmt(dt_datetime, dateFormat) {
   dt_part = dt_datetime.split(' ')[0];
   tm_part = dt_datetime.split(' ')[1];
   var dt,tm;	   

   if (tm_part != 'undefined' && tm_part != null) {
	   tm = tm_part.split (':');		   
	   dt = dt_part.split ('-');
	   dt = new Date (dt[0],dt[1]-1,dt[2],tm[0],tm[1],tm[2]);
   }else {
        tm = '00:00:00'.split (':');
	    dt = dt_part.split ('-');
		dt = new Date (dt[0],dt[1]-1,dt[2]);
   }
  
   d = dt.getDate ();
   m = dt.getMonth ();
   y = dt.getFullYear ();

   sTmp = dateFormat.split (' ') ? dateFormat.split(' ')[0] : dateFormat;

   sTmp = sTmp.replace  ("dd","<e>");
   sTmp = sTmp.replace  ("d","<d>");
   sTmp = sTmp.replace  ("<e>",padZero(d));
   sTmp = sTmp.replace  ("<d>",d);
   sTmp = sTmp.replace  ("mm","<n>");
   sTmp = sTmp.replace  ("m","<m>");
   sTmp = sTmp.replace  ("<m>",m+1);
   sTmp = sTmp.replace  ("<n>",padZero(m+1));
   sTmp = sTmp.replace  ("yyyy","<4y>");
   sTmp = sTmp.replace  ("yy","<2y>");
   sTmp = sTmp.replace  ("<4y>",y);	
   sTmp = sTmp.replace  ("<2y>",padZero(new String(y).substring(3,4)));

	var hasdateTime = dateFormat.split(' ')[1]; 

   if((tm_part != 'undefined') && (hasdateTime != null)) {
	   sTmp = sTmp + " " +  dateFormat.split(' ')[1];
	   sTmp = sTmp.replace  ("HH",padZero(tm[0]));
	   sTmp = sTmp.replace  ("MM",padZero(tm[1]));
	   sTmp = sTmp.replace  ("SS",padZero(tm[2]));
   }
   return sTmp;
}

//function toggleColor(myElement)
//function getDaysInMonth(iMonth, iYear)
//function buildCalendar(iYear, iMonth, iDate, iDayStyle)
