/*
This variable keeps track of all the opened menu items
*/
var openedMenuDiv = new Array();

/*
showMenu function displays the popup menu. 
It first hides all possibly opened menus
Next it locates the mouse position on the screen,
Next it displays the menu - represented as a div section - at the mouse location
Finally it adds the visible menu ID to the openedMenuDiv array. 
*/
function showMenu(e, divID)
{
	hideAll();
	var posx = 0;
	var posy = 0;
	if (!e) var e = window.event;
	if (e.pageX || e.pageY)
	{
		posx = e.pageX;
		posy = e.pageY;
	}
	else if (e.clientX || e.clientY)
	{
		posx = e.clientX + document.body.scrollLeft;
		posy = e.clientY + document.body.scrollTop;
	}

	// position the menu
	var theMenu = document.getElementById(divID);
	theMenu.style.left=posx + 10;
	theMenu.style.top=posy + 10;
	
	// show the menu
	openedMenuDiv.push(divID);
	theMenu.style.visibility='visible';
}

/*
hideAll function closes all open menu items.
It runs through an array which tracks the opened 
menu items, and closes them one by one.
*/
function hideAll()
{
	for (;openedMenuDiv.length>0;)
	{
		document.getElementById(openedMenuDiv.pop()).style.visibility='hidden';
	}

}