<%@ taglib uri="/WEB-INF/tld/portlet.tld" prefix="portletAPI" %>
<%@ taglib uri="/WEB-INF/tld/wpctags.tld" prefix="wpctags" %>
<%@ taglib uri="/WEB-INF/tld/wpcui.tld" prefix="wpcui" %>
<%@ taglib uri="/WEB-INF/tld/engine.tld" prefix="wps" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@ page import="java.util.*,java.net.*"%>
<%@ page import="org.apache.jetspeed.portlet.*"%>
<%@ page import="com.ibm.ccd.ui.context.*,
				 com.ibm.ccd.ui.portlets.catalog.*,
				 com.ibm.ccd.ui.portlets.download.*,
				 com.ibm.ccd.ui.portlets.items.*,
				 com.ibm.ccd.ui.dataobjects.*,
				 com.ibm.ccd.ui.dataobjects.attributes.*,
				 com.ibm.ccd.ui.dataobjects.items.*,
				 com.ibm.ccd.ui.mediator.*,
				 com.ibm.ccd.ui.util.*"%>
<portletAPI:init />
<%
 
WPCUser user = null;
WPSContext context = null;
String userName = null;
String company = null;
context = UIUtils.getWPSContext(portletRequest,portletConfig);
user = context.getWpcUser();
if (user != null) {
	userName = (String) user.getProperty(IWPCUser.KEY_USER_ID);
	company = (String) user.getProperty(IWPCUser.KEY_COMPANY);
}

Locale locale = portletRequest.getLocale();
HashMap action2page = ConfigManager.getInstance().getPortletActionToPageMappings();
%>

<link
	href="<%=portletResponse.encodeURL("/css/wpc_classic/WPC_UI_Styles.css")%>"
	rel="styleSheet" type="text/css">

<script language="JavaScript"
	src="<%=portletResponse.encodeURL("/js/wpscarmel.js")%>"></script>
<script language="JavaScript"
	src="<%=portletResponse.encodeURL("/js/calendarCtrl.jsp?locale="+locale.toString()+"")%>"></script>
	
<script language="JavaScript">
<!--
function openWin(e)
{
	window.open('<%=portletResponse.encodeURL("/jsps/html/itemcatalog/AttachFile.jsp")%>?ele='+e+'&eurl=<%=portletResponse.encodeURL("/")%>&<%=IWPCUser.KEY_USER_ID%>=<%=userName%>&<%=IWPCUser.KEY_COMPANY%>=<%=company%>','Upload',"top=220,left=320,width=420,height=200,resizable=no,scrollbars=yes,menubar=no,toolbar=no,directories=no,location=no,status=no");
}
-->
</script>


<%

PortletSession portletSession = portletRequest.getPortletSession();
CatalogItem item = (CatalogItem) session.getAttribute("Item");
CategoryHierarchy hierarchy = (CategoryHierarchy)portletSession.getAttribute(ICatalogAction.CATEGORY_HIERARCHY);
Object command =  portletSession.getAttribute("Command");

	String isEditableMode =  "true";
	String updateSpecificMode = isEditableMode;

	if(command == null){
		updateSpecificMode = isEditableMode = "false";
	}else if(ICatalogAction.VIEW.equals((String)command) || ICatalogAction.DELETE.equals((String)command)|| ICatalogAction.SEARCH_VIEW_MODE.equals((String)command)){
		updateSpecificMode = isEditableMode = "false";
	}else if( ICatalogAction.CLONE.equals((String)command) ||  ICatalogAction.CREATE.equals((String)command)  ){
		isEditableMode = "true";
		updateSpecificMode = "true";
	}else if( ICatalogAction.UPDATE.equals((String)command)){
		isEditableMode = "true";
		updateSpecificMode =  "false";
	}
Map flatAttrMap = item.getFlatAttributeMap();
%>

<wpctags:uimessages/> 
<form name="workCatalogForm" method="POST">

<wpcui:attributeCollection map="<%=flatAttrMap%>" updateMode="<%=isEditableMode%>" imageURI='<%=portletResponse.encodeURL("/images/")%>' 
		portletURI="<%=portletResponse.createURI()%>" locale="<%=locale.toString()%>"> 
<table>
<tr><td colspan="3">	
	<table width="99%">
		<tr><td align="left" width="70%" colspan="2">
			<table cellspacing="0" width="70%"> 
				<wpcui:attribute attribname="allItemSpec/GTIN" />
			</table> 
			</td>
			<td align="right" width="29%">
				<table align="right" width="29%">
				 <tr> 
				 <wpcui:imagePreviewAttribute attribname="allItemSpec/ImageAttrib"/>
				 </tr>
				</table> 
			</td>
		</tr>	
	</table> </td></tr>
	
	<tr><td colspan="2">
	<wpcui:attribute attribname="allItemSpec/StringAttrib"/>	
	<wpcui:attribute attribname="allItemSpec/NumberAttrib" />	
	<wpcui:attribute attribname="allItemSpec/IntegerAttrib" />		
	<wpcui:attribute attribname="allItemSpec/FlagAttrib" />		
	<wpcui:attribute attribname="allItemSpec/TimeZoneAttrib" />			
	<wpcui:attribute attribname="allItemSpec/CurrencyAttrib" />		
	<wpcui:attribute attribname="allItemSpec/BinaryAttrib" />	

	<wpcui:attribute attribname="allItemSpec/ImageAttrib" />	
	<wpcui:attribute attribname="allItemSpec/ThumbNailImageAttrib" />	
	<wpcui:attribute attribname="allItemSpec/DateAttrib" />
	<wpcui:attribute attribname="allItemSpec/UrlAttrib" />	
	<wpcui:attribute attribname="allItemSpec/ImageUrlAttrib" />	

	<wpcui:attribute attribname="allItemSpec/StringEnumAttrib" />		
   	<wpcui:attribute attribname="allItemSpec/PasswordAttrib" />		
   	<wpcui:attribute attribname="allItemSpec/ThumbNailImageURLAttrib" />		   	
   	<wpcui:attribute attribname="allItemSpec/NumbEnumAttrib" />	 	
   	<wpcui:attribute attribname="allItemSpec/PeriodAttrib" />	 	   	
  	
</wpcui:attributeCollection>
		</td>
	</tr>	
</table>

<table border="0">
	<tr>

<%
	if((command != null) && (ICatalogAction.VIEW.equals(command)) )
	{
%>	
	<td><input type="button" value='<wpctags:uilabel key="ITEMCATALOG.ADD_ITEM_LABEL"/>' 
						class="wpsButtonBlueSmall"	onClick="window.location.href='<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(),ICatalogAction.CREATE)%>';"></td>
				<td><input type="button" value='<wpctags:uilabel key="ITEMCATALOG.EDIT_ITEM_LABEL"/>' 
						class="wpsButtonBlueSmall"	onClick="window.location.href='<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(),ICatalogAction.UPDATE)%>';"></td>
				<td><input type="button" value='<wpctags:uilabel key="ITEMCATALOG.CLONE_ITEM_LABEL"/>' 
						class="wpsButtonBlueSmall"	onClick="window.location.href='<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(),ICatalogAction.CLONE)%>';"></td>
				<td><input type="button" value='<wpctags:uilabel key="ITEMCATALOG.DELETE_ITEM_LABEL"/>' 
						class="wpsButtonBlueSmall"	onClick="window.location.href='<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(),ICatalogAction.DELETE)%>';"></td>
						<wps:urlGeneration contentNode='<%=(String)action2page.get("WORKWITHITEM.DOWNLOAD")%>' portletWindowState="Normal">
						  <input type="hidden" name="<%=ICatalogAction.COMMAND%>" value="<%=IDownloadAction.DOWNLOAD_FROM_SINGLE %>">
						  <input type="hidden" name="<%=ICatalogAction.ITEMID%>" value="<%=item.getItemID()%>">
						  <input type="hidden" name="<%=ICatalogAction.CATALOG%>" value="<%=item.getCatalogID()%>">
						  <input type="hidden" name="<%=ICatalogAction.PARENTID%>" value="<%=item.getParentCategoryID()%>">
			  			<% if(hierarchy != null){ %>
						  <input type="hidden" name="<%=ICatalogAction.HIER_NAME%>" value="<%=hierarchy.getHierarchy()[0]%>" >
						  <input type="hidden" name="<%=ICatalogAction.HIER_TYPE%>" value="<%=hierarchy.getHierarchyType()[0]%>" >						  
						<% } %>
							<td><input type="submit" value="Download" class="wpsButtonBlueSmall" onClick="submitForm(document.workCatalogForm,'<%wpsURL.write(out);%>'); "></td> 
						</wps:urlGeneration>							
	</tr>
	<tr>
<%
	} 
	else if((command != null) && (ICatalogAction.SEARCH_VIEW_MODE.equals(command)) )
	{%>
		<TD><input class="wpsButtonText" type="button"
			name="<portletAPI:encodeNamespace value='OK'/>"
			value='<wpctags:uilabel key="WORK_WITH_ITEM.OK_LABEL"/>'onClick="javascript:window.close();" />	</TD>
		
	<%}
	else {
%>
		<td><input class="wpsButtonText" type="button"
			name="<portletAPI:encodeNamespace value='OK'/>"
			value='<wpctags:uilabel key="WORK_WITH_ITEM.OK_LABEL"/>'
			onClick="submitForm(document.workCatalogForm,'<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(), "OK")%>')"></td>
		<td><input class="wpsButtonText" type="button"
			name="<portletAPI:encodeNamespace value='CANCEL'/>"
			value='<wpctags:uilabel key="WORK_WITH_ITEM.CANCEL_LABEL"/>'
			onClick="submitForm(document.workCatalogForm,'<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(), "CANCEL")%>')"></td>
<%
 }
%>			
	</tr>
</table>

</form>
