<%@ taglib uri="/WEB-INF/tld/portlet.tld" prefix="portletAPI" %>
<%@ taglib uri="/WEB-INF/tld/wpctags.tld" prefix="wpctags" %>
<%@ taglib uri="/WEB-INF/tld/wpcui.tld" prefix="wpcui" %>
<%@ taglib uri="/WEB-INF/tld/engine.tld" prefix="wps" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@ page import="java.util.*,java.net.*"%>
<%@ page import="org.apache.jetspeed.portlet.*"%>
<%@ page import="com.ibm.ccd.ui.context.*,
				 com.ibm.ccd.ui.portlets.catalog.*,
				 com.ibm.ccd.ui.portlets.download.*,
				 com.ibm.ccd.ui.portlets.items.*,
				 com.ibm.ccd.ui.dataobjects.*,
				 com.ibm.ccd.ui.dataobjects.attributes.*,
				 com.ibm.ccd.ui.dataobjects.items.*,
				 com.ibm.ccd.ui.mediator.*,
				 com.ibm.ccd.ui.util.*"%>
<portletAPI:init />
<%

WPCUser user = null;
WPSContext context = null;
String userName = null;
String company = null;
context = UIUtils.getWPSContext(portletRequest, portletConfig); 
if (context != null){
	user = context.getWpcUser();
	if (user != null) {
		userName = (String) user.getProperty(IWPCUser.KEY_USER_ID);
		company = (String) user.getProperty(IWPCUser.KEY_COMPANY);
	}
}
Locale locale = portletRequest.getLocale();
HashMap action2page = ConfigManager.getInstance().getPortletActionToPageMappings();
%>

<link
	href="<%=portletResponse.encodeURL("/css/wpc_classic/WPC_UI_Styles.css")%>"
	rel="styleSheet" type="text/css">

<script language="JavaScript"
	src="<%=portletResponse.encodeURL("/js/wpscarmel.js")%>"></script>
<script language="JavaScript"
	src="<%=portletResponse.encodeURL("/js/calendarCtrl.jsp?locale="+locale.toString()+"")%>"></script>
	
<script language="JavaScript">
<!--
function openWin(e)
{
	window.open('<%=portletResponse.encodeURL("/jsps/html/itemcatalog/AttachFile.jsp")%>?ele='+e+'&eurl=<%=portletResponse.encodeURL("/")%>&<%=IWPCUser.KEY_USER_ID%>=<%=userName%>&<%=IWPCUser.KEY_COMPANY%>=<%=company%>','Upload',"top=220,left=320,width=420,height=200,resizable=no,scrollbars=yes,menubar=no,toolbar=no,directories=no,location=no,status=no");
}
-->
</script>
 
<%

PortletSession portletSession = portletRequest.getPortletSession();
CatalogItem item = (CatalogItem) session.getAttribute("Item");
CategoryHierarchy hierarchy = (CategoryHierarchy)portletSession.getAttribute(ICatalogAction.CATEGORY_HIERARCHY);
Map flatAttrMap = item.getFlatAttributeMap();

	String isEditableMode =  "true";
	String updateSpecificMode = isEditableMode;
Object command =  portletSession.getAttribute("Command");
String tab_submit = ICatalogAction.SWITCH_TAB;

	if(command == null){
		updateSpecificMode = isEditableMode = "false";
		tab_submit = ICatalogAction.SWITCH_TAB_NO_SUBMIT;
	}else if(ICatalogAction.VIEW.equals((String)command) || ICatalogAction.DELETE.equals((String)command)|| ICatalogAction.SEARCH_VIEW_MODE.equals((String)command)){
		updateSpecificMode = isEditableMode = "false";
		tab_submit = ICatalogAction.SWITCH_TAB_NO_SUBMIT;
	}else if( ICatalogAction.CLONE.equals((String)command) ||  ICatalogAction.CREATE.equals((String)command)  ){
		isEditableMode = "true";
		updateSpecificMode = "true";
	}else if( ICatalogAction.UPDATE.equals((String)command)){
		isEditableMode = "true";
		updateSpecificMode =  "false";
	}

%>

<wpctags:uimessages/> 

<form name="workCatalogForm" method="POST">

	<wpcui:attributeCollection map="<%=flatAttrMap%>" updateMode="<%=isEditableMode%>" imageURI='<%=portletResponse.encodeURL("/images/")%>' 
		portletURI="<%=portletResponse.createURI()%>" locale="<%=locale.toString()%>"> 
	<table width="99%">
		<tr><td align="left" width="70%">
			<table cellspacing="0" width="70%"> 
				<wpcui:attribute attribname="Master Item Spec/GTIN" />
			</table> 
			</td>
			<td align="right" width="29%">
				<table align="right" width="29%">
				 <tr> 
				 <wpcui:imagePreviewAttribute attribname="Master Item Spec/Product Content/Web Image"/>
				 </tr>
				</table> 
			</td>
		</tr>	
	</table>

	<%
	String[] activeTab = new String[10];
	String[] actTab = new String[10];
	for(int i=0;i<10;i++) {
		activeTab[i] = "tab";
		actTab[i] = "hideTab";
	}
	
	String defaultTab = "";
	int tabNumber = 1;
	if((defaultTab = (String)portletSession.getAttribute(ICatalogAction.ACTIVE_TAB)) != null) {
		tabNumber= Integer.parseInt(defaultTab);
		activeTab[tabNumber-1] = "tab activeTab" ;
		actTab[tabNumber-1] = "showTab";
	}else {
		activeTab[tabNumber-1] = "tab activeTab";
		actTab[tabNumber-1] = "showTab";
	}
	%>
		
<div id="tabControl" class="tab-container"><a href="#"	onClick="submitForm(document.workCatalogForm,'<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(), tab_submit, ICatalogAction.ACTIVE_TAB, "1")%>')"
	 id="tab1" class='<%=activeTab[0]%>'><span style="COLOR: #444444"><wpctags:uilabel
	key="WORK_WITH_ITEM.GENERAL" /></span></a><a href="#"	onClick="submitForm(document.workCatalogForm,'<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(), tab_submit, ICatalogAction.ACTIVE_TAB, "2")%>')"
	 id="tab2" class='<%=activeTab[1]%>'><span style="COLOR: #444444"><wpctags:uilabel
	key="WORK_WITH_ITEM.CATEGORYSPECIFIC" /></span></a><a href="#"	onClick="submitForm(document.workCatalogForm,'<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(), tab_submit, ICatalogAction.ACTIVE_TAB, "3")%>')"
	id="tab3" class='<%=activeTab[2]%>'><span style="COLOR: #444444"><wpctags:uilabel
	key="WORK_WITH_ITEM.IMAGES" /></span></a><a href="#"	onClick="submitForm(document.workCatalogForm,'<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(), tab_submit, ICatalogAction.ACTIVE_TAB, "4")%>')"
	id="tab4" class='<%=activeTab[3]%>'><span style="COLOR: #444444"><wpctags:uilabel
	key="WORK_WITH_ITEM.DATAPOOL" /></span></a><a href="#"	onClick="submitForm(document.workCatalogForm,'<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(), tab_submit, ICatalogAction.ACTIVE_TAB, "5")%>')"
	id="tab5" class='<%=activeTab[4]%>'><span style="COLOR: #444444"><wpctags:uilabel
	key="WORK_WITH_ITEM.COMMENTS" /></span></a>

	
<div id="tabPane" class="tab-pane">
	<!--  General Tab -->

	<div id="pane1" class='<%=actTab[0]%>'>
	<table >	

		<wpcui:attribute attribname="Master Item Spec/Internal ID" />
		<wpcui:attribute attribname="Master Item Spec/Short Description" />
		<wpcui:attribute attribname="Master Item Spec/Long Description" />
		<wpcui:attribute attribname="Master Item Spec/Thumbnail Preview" />		
		<wpcui:attribute attribname="Master Item Spec/Item Type" />	
		<wpcui:attribute attribname="Master Item Spec/Item Regulation" />				
		<wpcui:attribute attribname="Master Item Spec/Item Source" />			
		<wpcui:attribute attribname="Master Item Spec/Perishable Type" />			
		<wpcui:attribute attribname="Master Item Spec/Supplier_ID" />			
		<wpcui:attribute attribname="Master Item Spec/ItemStatus" />			
		<wpcui:attribute attribname="Master Item Spec/Effective Start Date" />
		<wpcui:attribute attribname="Master Item Spec/Effective End Date" />
		<wpcui:attribute attribname="Master Item Spec/Last Updated By" />
		<wpcui:attribute attribname="Master Item Spec/Update on" />						
		<wpcui:attribute attribname="Master Item Spec/Item Price" />		
		<wpcui:attribute attribname="Master Item Spec/Item Unit Size" />

	</table>		
	</div>
	
	<div id="pane2" class='<%=actTab[1]%>'>
	<table>

	<wpcui:categoryspecificAttribute />

	</table>	
	</div>
	
	<div id="pane3" class='<%=actTab[2]%>'>	
	<table>	
	
	<wpcui:groupAttribute attribname="Master Item Spec/Product Content"> 
		<wpcui:attribute attribname="Master Item Spec/Product Content/Thumbnail Image" />
		<wpcui:attribute attribname="Master Item Spec/Product Content/Small Thumbnail Image" />
		<wpcui:attribute attribname="Master Item Spec/Product Content/Print Image" />
		<wpcui:attribute attribname="Master Item Spec/Product Content/Web Image" />
		<wpcui:attribute attribname="Master Item Spec/Product Content/POS Image" />
		<wpcui:attribute attribname="Master Item Spec/Product Content/Hi-Res Image" />
		<wpcui:groupAttribute attribname="Master Item Spec/Product Content/Product Documents">		
			 <wpcui:attribute attribname="Master Item Spec/Product Content/Product Documents/Document" />
		</wpcui:groupAttribute>				
	</wpcui:groupAttribute>	

	</table>
	</div>

	<div id="pane4" class='<%=actTab[3]%>'>	
	<table>	
	
			<wpcui:groupAttribute attribname="Master Item Spec/UCCnet">		
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Brand" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Category"/>
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Color"/>
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Consumer Unit"/>
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Coupon Family Code"/>
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Dated Product - Days"/>
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Detailed Description"/>
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/D-U-N-S"/>
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/EANUCC"/>
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/EANUCC Type"/>
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Effective Date"/>
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/First Arrival"/>
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/First Order"/>
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/First Ship"/>
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Flash Point Temp"/>
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Flash Point Unit"/>
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/GLN" />
						<wpcui:attribute attribname="Master Item Spec/UCCnet/Gross Weight" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/GTIN" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Hazmat Class Code" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Hazmat Code" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Hazmat Code Qualifier" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Hazmat Description" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Hazmat Sequence" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Height" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/HI" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/InnerPack" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Item Description" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Item Status" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Last Arrival" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Last Order" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Last Ship" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Length" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Linear" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Maximum Order" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Maximum Ship" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Minimum Order" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Minimum Ship" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/attribname" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Net Weight" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Order Increment" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Order Sizing Factor" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Orderable Unit" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Order Increment Units" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Pack" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Page" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Phone" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/POS Desc 1" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/POS Desc 2" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Pre Priced Amount" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Private" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Replaced by GTIN" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Replaces GTIN" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Size" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Size Units" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Special Handling Code" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Suggested Retail Price" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/TI" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Version" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Version Status" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Volume" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Volume Unit" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Weight" />
                        <wpcui:attribute attribname="Master Item Spec/UCCnet/Width" />			 
			</wpcui:groupAttribute>				

	</table>		
	</div>
	
	<div id="pane5" class='<%=actTab[4]%>'>	
	<table>	
	
         <wpcui:attribute attribname="Master Item Spec/Comment 1" />			 	
         <wpcui:attribute attribname="Master Item Spec/Comment 2" />			 	
         <wpcui:attribute attribname="Master Item Spec/Comment 3" />			 	         
         <wpcui:attribute attribname="Master Item Spec/Comment 4" />			 	
         <wpcui:attribute attribname="Master Item Spec/Comment 5" />

	</table>         
	</div>
</wpcui:attributeCollection>

</div>
</div>


<table border="0">
	<tr>

<%
	if((command != null) && (ICatalogAction.VIEW.equals(command)) )
	{
%>	
	<td><input type="button" value='<wpctags:uilabel key="ITEMCATALOG.ADD_ITEM_LABEL"/>' 
						class="wpsButtonBlueSmall"	onClick="window.location.href='<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(),ICatalogAction.CREATE)%>';"></td>
				<td><input type="button" value='<wpctags:uilabel key="ITEMCATALOG.EDIT_ITEM_LABEL"/>' 
						class="wpsButtonBlueSmall"	onClick="window.location.href='<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(),ICatalogAction.UPDATE)%>';"></td>
				<td><input type="button" value='<wpctags:uilabel key="ITEMCATALOG.CLONE_ITEM_LABEL"/>' 
						class="wpsButtonBlueSmall"	onClick="window.location.href='<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(),ICatalogAction.CLONE)%>';"></td>
				<td><input type="button" value='<wpctags:uilabel key="ITEMCATALOG.DELETE_ITEM_LABEL"/>' 
						class="wpsButtonBlueSmall"	onClick="window.location.href='<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(),ICatalogAction.DELETE)%>';"></td>
						<wps:urlGeneration contentNode='<%=(String)action2page.get("WORKWITHITEM.DOWNLOAD")%>' portletWindowState="Normal">
						  <input type="hidden" name="<%=ICatalogAction.COMMAND%>" value="<%=IDownloadAction.DOWNLOAD_FROM_SINGLE %>">
						  <input type="hidden" name="<%=ICatalogAction.ITEMID%>" value="<%=item.getItemID()%>">
						  <input type="hidden" name="<%=ICatalogAction.CATALOG%>" value="<%=item.getCatalogID()%>">
						  <input type="hidden" name="<%=ICatalogAction.PARENTID%>" value="<%=item.getParentCategoryID()%>">
			  			<% if(hierarchy != null){ %>
						  <input type="hidden" name="<%=ICatalogAction.HIER_NAME%>" value="<%=hierarchy.getHierarchy()[0]%>" >
						  <input type="hidden" name="<%=ICatalogAction.HIER_TYPE%>" value="<%=hierarchy.getHierarchyType()[0]%>" >						  
						<% } %>
							<td><input type="submit" value="Download" class="wpsButtonBlueSmall" onClick="submitForm(document.workCatalogForm,'<%wpsURL.write(out);%>'); "></td> 
						</wps:urlGeneration>							
	</tr>
	<tr>
<%
	} else if((command != null) && (ICatalogAction.SEARCH_VIEW_MODE.equals(command)) )
	{%>
		<TD><input class="wpsButtonText" type="button"
			name="<portletAPI:encodeNamespace value='OK'/>"
			value='<wpctags:uilabel key="WORK_WITH_ITEM.OK_LABEL"/>'onClick="javascript:window.close();" />	</TD>
		
	<%}
	else {
%>
		<td><input class="wpsButtonText" type="button"
			name="<portletAPI:encodeNamespace value='OK'/>"
			value='<wpctags:uilabel key="WORK_WITH_ITEM.OK_LABEL"/>'
			onClick="submitForm(document.workCatalogForm,'<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(), "OK")%>')"></td>
		<td><input class="wpsButtonText" type="button"
			name="<portletAPI:encodeNamespace value='CANCEL'/>"
			value='<wpctags:uilabel key="WORK_WITH_ITEM.CANCEL_LABEL"/>'
			onClick="submitForm(document.workCatalogForm,'<%=WorkwithItemPortlet.createCommand(portletResponse.createURI(), "CANCEL")%>')"></td>
<%
 }
%>		

	</tr>
</table>

</form>

<script language="javascript">
<!--  
	function getCatalogue(name){
		
		//alert(name);
		var box=document.getElementsByName(name);
		//alert(box[0].selectedIndex);
		var ctgName=box[0].options[box[0].selectedIndex].value;
		//alert("CTG=" +ctgName);
		return ctgName;
	}
	
	function openSearch(catalog,id)
	{
		
		var ctg=getCatalogue(catalog);
		var path= workCatalogForm.name +"." + id;
		<wps:urlGeneration  contentNode='<%=(String)action2page.get("WPS.UTILS")%>' compositionNode="search"  portletWindowState="Solo">
			var url="<%wpsURL.write(out);%>" + "?" + "<%=IReference.KEY_CATALOG_NAME%>=" + ctg + "&" + "<%=IReference.KEY_ATTRIBUTE_NAME%>=" + path;
			window.open(url,'Search',"top=220,left=320,width=600,height=400,resizable=yes,scrollbars=yes,menubar=no,toolbar=no,directories=no,location=no,status=no");
		</wps:urlGeneration>
		 	
	}
	
	function openBrowse(catalog,id)
	{	
		var ctg=getCatalogue(catalog);
		var path= workCatalogForm.name +"." + id;
		<wps:urlGeneration  contentNode='<%=(String)action2page.get("WPS.UTILS")%>' compositionNode="item"  portletWindowState="Solo">
			var url="<%wpsURL.write(out);%>" + "?" + "<%=IReference.KEY_CATALOG_NAME%>=" + ctg + "&" + "<%=IReference.KEY_ATTRIBUTE_NAME%>=" + path;
			window.open(url,'Browse',"top=220,left=320,width=600,height=400,resizable=yes,scrollbars=yes,menubar=no,toolbar=no,directories=no,location=no,status=no");
		 </wps:urlGeneration>	
	}
	
	function openLookupTable(catalog,id)
	{	
		var ctg=catalog;
		var path= workCatalogForm.name +"." + id;
		<wps:urlGeneration  contentNode='<%=(String)action2page.get("WPS.UTILS")%>' compositionNode="lookuptable"  portletWindowState="Solo">
			var url="<%wpsURL.write(out);%>" + "?" + "<%=IReference.KEY_CATALOG_NAME%>=" + ctg + "&" + "<%=IReference.KEY_ATTRIBUTE_NAME%>=" + path;
			window.open(url,'LookupTable',"top=220,left=320,width=600,height=400,resizable=yes,scrollbars=yes,menubar=no,toolbar=no,directories=no,location=no,status=no");
		 </wps:urlGeneration>	
	}
	
	function openViewItem(catalog,id)
	{	
		var ctg=getCatalogue(catalog);
		
		var txt=document.getElementsByName(id);
		var itemId=txt[0].value;
		//var itemId="5";
		<wps:urlGeneration  contentNode='<%=(String)action2page.get("WPS.UTILS")%>' compositionNode="view"  portletWindowState="Solo">
			var url="<%wpsURL.write(out);%>" + "?" + "<%=ICatalogAction.CATALOG%>=" + ctg + "&" + "<%=ICatalogAction.COMMAND%>=" + "<%=ICatalogAction.SEARCH_VIEW_MODE%>" + "&" 
			+ "<%=ICatalogAction.ITEMID%>=" + itemId;
			window.open(url,'ViewItem',"top=220,left=320,width=600,height=400,resizable=yes,scrollbars=yes,menubar=no,toolbar=no,directories=no,location=no,status=no");
		 </wps:urlGeneration>
	}
	// -->	
</script>
