<%@ taglib uri="/WEB-INF/tld/portlet.tld" prefix="portletAPI" %>
<%@ taglib uri="/WEB-INF/tld/wpctags.tld" prefix="wpctags" %>
<%@ taglib uri="/WEB-INF/tld/wpcui.tld" prefix="wpcui" %>
<%@ taglib uri="/WEB-INF/tld/engine.tld" prefix="wps" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="java.util.*,java.net.*"%>
<%@ page import="org.apache.jetspeed.portlet.*"%>
<%@ page import="com.ibm.ccd.ui.context.*,
				 com.ibm.ccd.ui.portlets.catalog.*,
				 com.ibm.ccd.ui.portlets.download.*,
				 com.ibm.ccd.ui.portlets.items.*,
				 com.ibm.ccd.ui.dataobjects.*,
				 com.ibm.ccd.ui.dataobjects.attributes.*,
				 com.ibm.ccd.ui.dataobjects.items.*,
				 com.ibm.ccd.ui.mediator.*,
				 com.ibm.ccd.ui.util.*"%>
<portletAPI:init />
<%

WPCUser user = null;
WPSContext context = null;
String userName = null;
String company = null;
String gln = null;

context = UIUtils.getWPSContext(portletRequest, portletConfig); 
if (context != null){
	user = context.getWpcUser();
	if (user != null) {
		userName = (String) user.getProperty(IWPCUser.KEY_USER_ID);
		company = (String) user.getProperty(IWPCUser.KEY_COMPANY);
		gln = (String)user.getProperty(IWPCUser.KEY_SUPPLIER_GLN);
	}
}
Locale locale = portletRequest.getLocale();
HashMap action2page = ConfigManager.getInstance().getPortletActionToPageMappings();
%>

<link
	href="<%=portletResponse.encodeURL("/css/wpc_classic/WPC_UI_Styles.css")%>"
	rel="styleSheet" type="text/css">

<script language="JavaScript"
	src="<%=portletResponse.encodeURL("/js/wpscarmel.js")%>"></script>
<script language="JavaScript"
	src="<%=portletResponse.encodeURL("/js/calendarCtrl.jsp?locale="+locale.toString()+"")%>"></script>
	
<script language="JavaScript">
<!--
function openWin(e)
{
	window.open('<%=portletResponse.encodeURL("/jsps/html/itemcatalog/AttachFile.jsp")%>?ele='+e+'&eurl=<%=portletResponse.encodeURL("/")%>&<%=IWPCUser.KEY_USER_ID%>=<%=userName%>&<%=IWPCUser.KEY_COMPANY%>=<%=company%>','Upload',"top=220,left=320,width=420,height=200,resizable=no,scrollbars=yes,menubar=no,toolbar=no,directories=no,location=no,status=no");
}
-->
</script>
 
<%

PortletSession portletSession = portletRequest.getPortletSession();
CatalogItem item = (CatalogItem) session.getAttribute("Item");
CategoryHierarchy hierarchy = (CategoryHierarchy)portletSession.getAttribute(ICatalogAction.CATEGORY_HIERARCHY);
Map flatAttrMap = item.getFlatAttributeMap();

	String isEditableMode =  "true";
	String updateSpecificMode = isEditableMode;
Object command =  portletSession.getAttribute("Command");
String tab_submit = ICatalogAction.SWITCH_TAB;

	if(command == null){
		updateSpecificMode = isEditableMode = "false";
		tab_submit = ICatalogAction.SWITCH_TAB_NO_SUBMIT;
	}else if(ICatalogAction.VIEW.equals((String)command) || ICatalogAction.DELETE.equals((String)command)|| ICatalogAction.SEARCH_VIEW_MODE.equals((String)command)){
		updateSpecificMode = isEditableMode = "false";
		tab_submit = ICatalogAction.SWITCH_TAB_NO_SUBMIT;
	}else if( ICatalogAction.CLONE.equals((String)command) ||  ICatalogAction.CREATE.equals((String)command)  ){
		isEditableMode = "true";
		updateSpecificMode = "true";
	}else if( ICatalogAction.UPDATE.equals((String)command)){
		isEditableMode = "true";
		updateSpecificMode =  "false";
	}
String catalog = (String) portletSession.getAttribute(ICatalogAction.CATALOG);
String viewName = (String) portletSession.getAttribute(ICatalogAction.CATALOG_VIEW);
%>
<table width="100%">
	<tr>	<td width="40%" align="left"><wpctags:uilabel key="WORK_WITH_ITEM.LABEL.CATALOG"/> &nbsp;:&nbsp; <%=(catalog != null)? catalog +"&nbsp;" : "&nbsp;"%></td>
			<td width="10%" align="center">&nbsp;  &nbsp;</td>
			<td width="50%" align="right"><wpctags:uilabel key="WORK_WITH_ITEM.LABEL.VIEW"/> &nbsp;:&nbsp;<%=(viewName != null)? viewName+"&nbsp;" : "&nbsp;"%></td>
	</tr>
</table>


	<wpcui:attributeCollection map="<%=flatAttrMap%>" updateMode="<%=isEditableMode%>" imageURI='<%=portletResponse.encodeURL("/images/")%>' 
		portletURI="<%=portletResponse.createURI()%>" locale="<%=locale.toString()%>"> 

	<%
	String[] activeTab = new String[10];
	String[] actTab = new String[10];
	for(int i=0;i<10;i++) {
		activeTab[i] = "tab";
		actTab[i] = "hideTab";
	}
	
	String defaultTab = "";
	int tabNumber = 1;
	if((defaultTab = (String)portletSession.getAttribute(ICatalogAction.ACTIVE_TAB)) != null) {
		tabNumber= Integer.parseInt(defaultTab);
		activeTab[tabNumber-1] = "tab activeTab" ;
		actTab[tabNumber-1] = "showTab";
	}else {
		activeTab[tabNumber-1] = "tab activeTab";
		actTab[tabNumber-1] = "showTab";
	}
	%>
	
	
		