
/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/**
 * ITransaction This interface defines getter methods of Transaction Object.
 *
 */
package com.ibm.ccd.ui.alert.framework;



public interface ITransaction {
    /**
     * @return
     */
    public String getTransactionID();

    /**
     * @return
     */
    public String getTransactionDescription();

    /**
     * @return
     */
    public String getTransactionStartTime();

    /**
     * @return
     */
    public String getTransactionEndTime();

    /**
     * @return
     */

    //	public String getTransactionDetails();

    /**
     * @return
     */
    public String getTransactionStatus();

    /**
     * @return
     */
    public void setTransactionStatus(String status);

    /**
     * @return
     */
    public boolean isTransactionStatusCompleted();

    /**
     * @return
     */
    public String getAttachmentFilePath();

    /**
     * @param string
     */
    public void setAttachmentFilePath(String string);

    /**
     * @param string
     */
    public String getXlsAttachmentFilePath();

    /**
     * @param string
     */
    public void setXlsAttachmentFilePath(String string);
}
