
/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


package com.ibm.ccd.ui.dataobjects.workflow;

import java.util.List;


/**
 * Class holds dropdown list data
 */
public class ListboxContainer {
    private List dropdownList = null;
    private String selectedValue = null;

    public ListboxContainer(List list, String param) {
        dropdownList = list;
        selectedValue = param;
    }

    /**
     *
     */
    public ListboxContainer(String param) {
        selectedValue = param;
    }

    /**
     * @return
     */
    public List getDropdownList() {
        return dropdownList;
    }

    /**
     * @param list
     */
    public void setDropdownList(List list) {
        dropdownList = list;
    }

    /**
     * @return
     */
    public String getSelectedValue() {
        return selectedValue;
    }

    /**
     * @param string
     */
    public void setSelectedValue(String string) {
        selectedValue = string;
    }
}
