
/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/**
 * TransactionDisplayViewBean: This bean class is for portlet TransactionDisplayPortlet
 */
package com.ibm.ccd.ui.portlets.alert;

import com.ibm.ccd.ui.alert.framework.ITransaction;
import com.ibm.ccd.ui.alert.framework.ITransactions;


public class TransactionDisplayViewBean {
    private ITransactions transSet = null;
    private ITransaction transaction = null;
    private String Attachmentpath = null;
    private String AttachmentXLSpath = null;
    private String Command = null;
    private String transactionIdDisplayed = null;

    /**
     * @return
     */
    public ITransactions getTransSet() {
        return transSet;
    }

    /**
     * @param transactions
     */
    public void setTransSet(ITransactions transactions) {
        transSet = transactions;
    }

    /**
     * @return
     */
    public ITransaction getTransaction() {
        return transaction;
    }

    /**
     * @param transaction
     */
    public void setTransaction(ITransaction transaction) {
        this.transaction = transaction;
    }

    /**
     * @return
     */
    public String getAttachmentpath() {
        return Attachmentpath;
    }

    /**
     * @param string
     */
    public void setAttachmentpath(String string) {
        Attachmentpath = string;
    }

    /**
     * @return
     */
    public String getCommand() {
        return Command;
    }

    /**
     * @param string
     */
    public void setCommand(String string) {
        Command = string;
    }

    /**
     * @return
     */
    public String getTransactionIdDisplayed() {
        return transactionIdDisplayed;
    }

    /**
     * @param string
     */
    public void setTransactionIdDisplayed(String string) {
        transactionIdDisplayed = string;
    }

    /**
     * @return
     */
    public String getAttachmentXLSpath() {
        return AttachmentXLSpath;
    }

    /**
     * @param string
     */
    public void setAttachmentXLSpath(String string) {
        AttachmentXLSpath = string;
    }
}
