
/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/*
 * Created on Dec 8, 2004
 *
 */
package com.ibm.ccd.ui.portlets.catalog;



/**
 * @author administrator
 *
 */
public class ItemCatalogForm {
    /** Item Catalog Tree */
    private CatalogTree tree;

    /** Item seleced */
    private String selItem;
    private ItemNodeCatalog ItemNode;
    private String childLength;
    boolean isWFFilter;

    /**
     * Construct ItemCatalog Form to hold the state of Catalog Tree
     */
    public ItemCatalogForm() {
        selItem = "1";
        tree = new CatalogTree();
    }

    /**
     * @return
     */
    public CatalogTree getTree() {
        return tree;
    }

    public void setSelItem(String string) {
        selItem = string;
    }

    /**
     * @return
     */
    public String getSelItem() {
        return selItem;
    }

    /**
     * @param tree
     */
    public void setTree(CatalogTree tree) {
        this.tree = tree;
    }

    public ItemNodeCatalog getSelectedNode() {
        return tree.searchNode(tree.getRoot(), selItem);
    }

    /**
     * @return
     */
    public ItemNodeCatalog getItemNode() {
        return ItemNode;
    }

    /**
     * @param catalog
     */
    public void setItemNode(ItemNodeCatalog catalog) {
        ItemNode = catalog;
    }

    /**
     * @return
     */
    public String getChildLength() {
        return childLength;
    }

    /**
     * @param string
     */
    public void setChildLength(String string) {
        childLength = string;
    }
    /**
     * @return Returns the isWFFilter.
     */
    public boolean isWFFilter() {
        return isWFFilter;
    }
    /**
     * @param isWFFilter The isWFFilter to set.
     */
    public void setWFFilter(boolean isWFFilter) {
        this.isWFFilter = isWFFilter;
    }
}
