
/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/*
 * Created on Aug 19, 2005
 */
package com.ibm.ccd.ui.portlets.lookuptablesearch.cmd;

import com.ibm.ccd.ui.exception.UIException;
import com.ibm.ccd.ui.mediator.WPCMediatorException;
import com.ibm.ccd.ui.portlets.search.core.SearchInputBean;
import com.ibm.ccd.ui.portlets.search.core.cmd.PerformSearchCmd;
import com.ibm.ccd.ui.portlets.search.core.cmd.QuickSearchCmd;


public class PerformLookupTableSearchCmd extends  PerformSearchCmd {
    public PerformLookupTableSearchCmd() {
        super();
    }

    protected void search(SearchInputBean searchInputBean)
        throws UIException, WPCMediatorException {
     	searchHelper.performLookupTableSearch(searchInputBean);
    }
}
