
/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/*
 * Created on Dec 7, 2004
 */
package com.ibm.ccd.ui.portlets.quicksearch;

import java.io.Serializable;
import java.util.ArrayList;


/**
 * This class holds dta for rendering SearchCriteriaConfig jsp
 */
public class QuickSearchCriteriaBean implements Serializable {
    /**
     * Indicates the form action URI
     */
    private String formActionURI = null;
    private ArrayList criteriaAttributes = null;

    /**
     * @return
     */
    public ArrayList getCriteriaAttributes() {
        return criteriaAttributes;
    }

    /**
     * @return
     */
    public String getFormActionURI() {
        return formActionURI;
    }

    /**
     * @param list
     */
    public void setCriteriaAttributes(ArrayList list) {
        criteriaAttributes = list;
    }

    /**
     * @param string
     */
    public void setFormActionURI(String string) {
        formActionURI = string;
    }
}
