
/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/*
 * Created on Jul 31, 2005
 *
 */
package com.ibm.ccd.ui.portlets.search;

public interface ISearch {
    /**
     * indicates path of view jsp
     */
    String PATH_SEARCH_VIEW_JSP = "/jsps/html/search/SearchPortletView.jsp";

    /**
     * indicates path of edit jsp
     */
    String PATH_SEARCH_EDIT_JSP = "/jsps/html/search/SearchPortletEdit.jsp";

    /**
     * indicates path of config jsp
     */
    String PATH_SEARCH_CONFIG_JSP = "/jsps/html/search/SearchPortletConfig.jsp";

    /**
     * indicates path of help jsp
     */
    String PATH_SEARCH_HELP_JSP = "/jsps/html/search/SearchPortletHelp.jsp";
    
    /**
     * Constant used for tokenizing list box index of attribute in Edit mode
     */
	String ATTRIBUTE_INDEX_TOKENIZER = "#";
	
	/**
	 * Constant used for tokenizing attribute name index of attribute in Edit mode
	 */
	String ATTRIBUTE_NAME_TOKENIZER = "~";
}
