
/*
* Licensed Materials: Property of IBM
* "Restricted Materials of IBM"
* 5724-I68.
* (C) Copyright IBM Corp. 2000, 2005 - All Rights Reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


/*
 * Created on Jul 25, 2005
 */
package com.ibm.ccd.ui.portlets.search.core.cmd;

import org.apache.jetspeed.portlet.PortletContext;
import org.apache.jetspeed.portlet.PortletRequest;
import org.apache.jetspeed.portlet.PortletResponse;

import com.ibm.ccd.ui.context.WPSContext;
import com.ibm.ccd.ui.exception.UIException;
import com.ibm.ccd.ui.mediator.WPCMediatorException;


public interface ISearchCommand {
    public void execute(PortletRequest request, PortletResponse response)
        throws UIException, WPCMediatorException;

    public WPSContext getWpsContext();

    public void setWpsContext(WPSContext wpsContext);

    public PortletContext getPortletContext();

    public void setPortletContext(PortletContext portletContext);

    public void setPortletName(String portletName);

    public String getPortletName();
}
