-- Delete the OAC and OBT records.

delete from tsec_oac_object_action;

delete from tsec_obt_object_type;


-- Do not commit yet. Insert the records first.


INSERT INTO tsec_obt_object_type VALUES (2, 'Catalog', 'Object_type for catalogs', 'N');              

INSERT INTO tsec_oac_object_action VALUES (2, 'Catalog__list', 'Allows user to view a list of catalogs', 2, '', 'N');          

INSERT INTO tsec_oac_object_action VALUES (3, 'Catalog__edit_catalog_views', 'Allows user to edit catalog views', 2, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (4, 'Catalog__view_items', 'Allows user to view items in a catalog', 2, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (5, 'Catalog__add_items', 'Allows user to add items to a catalog', 2, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (6, 'Catalog__clone_items', 'Allows user to use the Clone button to clone an item from an existing item in a catalog', 2, '', 'N');           

INSERT INTO tsec_oac_object_action VALUES (7, 'Catalog__modify_items', 'Allows user to modify items in a catalog', 2, '', 'N');           

INSERT INTO tsec_oac_object_action VALUES (8, 'Catalog__delete_items', 'Allows user to delete items in a catalog', 2, '', 'N');           

INSERT INTO tsec_oac_object_action VALUES (9, 'Catalog__recategorize_items', 'Allows user to recategorize items in a catalog', 2, '', 'N');           

INSERT INTO tsec_oac_object_action VALUES (10, 'Catalog__summary_items', 'Allows user to view/edit summary of items in a catalog', 2, '', 'N');           

INSERT INTO tsec_oac_object_action VALUES (11, 'Catalog__export', 'Allows user to export items from a catalog', 2, '', 'N');           

INSERT INTO tsec_oac_object_action VALUES (12, 'Catalog__attributes', 'Allows user to view a list of attributes', 2, '', 'N');           

INSERT INTO tsec_oac_object_action VALUES (13, 'Catalog__differences', 'Allows user to view catalog differences', 2, '', 'N');           

INSERT INTO tsec_oac_object_action VALUES (14, 'Catalog__rollback', 'Allows user to perform catalog rollback', 2, '', 'N');           

INSERT INTO tsec_oac_object_action VALUES (15, 'Catalog__search', 'Allows user to perform a search on catalogs', 2, '', 'N');           

INSERT INTO tsec_oac_object_action VALUES (16, 'Catalog__delete', 'Allows user to delete catalogs', 2, '', 'N');           

INSERT INTO tsec_oac_object_action VALUES (17, 'Catalog__run_preview_script', 'Allows user to run a catalog preview script', 2, '', 'N');          

INSERT INTO tsec_obt_object_type VALUES (3, 'Hierarchy', 'Object_type for hierarchy', 'N');              
 
INSERT INTO tsec_oac_object_action VALUES (18, 'Hierarchy__list', 'Allows user to view a list of hierarchy', 3, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (19, 'Hierarchy__edit_hierarchy_views', 'Allows user to edit hierarchy views', 3, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (20, 'Hierarchy__view_hierarchy_nodes', 'Allows user to view nodes in a hierarchy', 3, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (21, 'Hierarchy__add_hierarchy_nodes', 'Allows user to add nodes to a hierarchy', 3, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (22, 'Hierarchy__clone_hierarchy_nodes', 'Allows user to use the Clone button to clone a hierarchy node from an existing node in a hierarchy', 3, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (23, 'Hierarchy__modify_hierarchy_node_attributes', 'Allows user to modify node attributes in a hierarchy', 3, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (24, 'Hierarchy__delete_hierarchy_nodes', 'Allows user to delete nodes in a hierarchy', 3, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (25, 'Hierarchy__recategorize_hierarchy_nodes', 'Allows user to recategorize nodes in a hierarchy', 3, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (26, 'Hierarchy__summary_hierarchy_nodes', 'Allows user to view/edit summary of nodes in a hierarchy', 3, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (27, 'Hierarchy__specmap_hierarchy_nodes', 'Allows user to change specs mapping for nodes in a hierarchy', 3, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (28, 'Hierarchy__attributes', 'Allows user to view a list of attributes', 3, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (29, 'Hierarchy__rollback', 'Allows user to perform hierarchy rollback', 3, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (30, 'Hierarchy__delete', 'Allows user to delete hierarchies', 3, '', 'N');          
 
INSERT INTO tsec_obt_object_type VALUES (4, 'Selection', 'Object_type for selections', 'N');              
 
INSERT INTO tsec_oac_object_action VALUES (31, 'Selection__list', 'Allows user to view a list of selections', 4, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (32, 'Selection__edit_rule', 'Allows user to edit selection rule', 4, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (33, 'Selection__delete', 'Allows user to delete selections', 4, '', 'N');          
 
INSERT INTO tsec_obt_object_type VALUES (5, 'Spec', 'Object_type for specs', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (34, 'Spec__modify_spec', 'Modify specs', 5, '', 'Y');          
 
INSERT INTO tsec_oac_object_action VALUES (35, 'Spec__modify_spec_map', 'Modify mapping between two specs', 5, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (6, 'Import', 'Object_type for imports', 'N');              
 
INSERT INTO tsec_oac_object_action VALUES (36, 'Import__list', 'Allows user to view a list of imports', 6, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (37, 'Import__perform_import', 'Allows user to perform import of entries into a container', 6, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (38, 'Import__delete', 'Allows user to delete imports', 6, '', 'N');          
 
INSERT INTO tsec_obt_object_type VALUES (7, 'SelectionMembers', 'Object_type for selection members - items and hierarchy nodes', 'N');              
 
INSERT INTO tsec_oac_object_action VALUES (39, 'SelectionMembers__view_items', 'Allows user to view items in a catalog', 7, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (40, 'SelectionMembers__add_items', 'Allows user to add items to a catalog', 7, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (41, 'SelectionMembers__clone_items', 'Allows user to use the Clone button to clone an item from an existing item in a catalog', 7, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (42, 'SelectionMembers__modify_items', 'Allows user to modify items in a catalog', 7, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (43, 'SelectionMembers__delete_items', 'Allows user to delete items in a catalog', 7, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (44, 'SelectionMembers__recategorize_items', 'Allows user to recategorize items in a catalog', 7, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (45, 'SelectionMembers__view_hierarchy_nodes', 'Allows user to view hierarchy nodes in a hierarchy', 7, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (46, 'SelectionMembers__add_hierarchy_nodes', 'Allows user to add hierarchy nodes to a hierarchy', 7, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (47, 'SelectionMembers__clone_hierarchy_nodes', 'Allows user to use the Clone button to clone a hierarchy node from an existing node in a hierarchy', 7, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (48, 'SelectionMembers__modify_hierarchy_node_attributes', 'Allows user to modify hierarchy node attributes in a hierarchy', 7, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (49, 'SelectionMembers__delete_hierarchy_nodes', 'Allows user to delete hierarchy nodes in a hierarchy', 7, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (50, 'SelectionMembers__recategorize_hierarchy_nodes', 'Allows user to recategorize hierarchy nodes in a hierarchy', 7, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (51, 'SelectionMembers__specmap_hierarchy_nodes', 'Allows user to change specs mapping for hierarchy nodes in a hierarchy', 7, '', 'N');          
 
INSERT INTO tsec_obt_object_type VALUES (8, 'LookupTable', 'Object_type for lookup table', 'N');              
 
INSERT INTO tsec_oac_object_action VALUES (52, 'LookupTable__view_items', 'Allows user to view items in a lookup table', 8, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (53, 'LookupTable__add_items', 'Allows user to add items to a lookup table', 8, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (54, 'LookupTable__modify_items', 'Allows user to modify items in a lookup table', 8, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (55, 'LookupTable__delete_items', 'Allows user to delete items in a lookup table', 8, '', 'N');          
 
INSERT INTO tsec_obt_object_type VALUES (9, 'Screen', 'Object_type for screens', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (56, 'Screen__view', 'View all screens', 9, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (10, 'DocStore', 'Object_type for manipulating document store', 'N');              
 
INSERT INTO tsec_oac_object_action VALUES (57, 'DocStore__view_files', 'Allows user to view files in the docstore', 10, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (58, 'DocStore__delete_files', 'Allows user to delete files from the docstore', 10, '', 'N');          
 
INSERT INTO tsec_obt_object_type VALUES (11, 'Script', 'Object_type for scripts', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (59, 'Script__create_modify_scripts', 'Allows user to create and modify scripts', 11, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (12, 'Scheduler', 'Object_type for scheduler', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (60, 'Scheduler__view_company_jobs', 'Allows user to view the jobs/edit jobs for the entire company', 12, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (13, 'PAGE_OBJ_DEFAULT_LAYOUT_HOME_TAB', '''Home'' tab', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (61, 'PAGE_OBJ_DEFAULT_LAYOUT_HOME_TAB__view', 'View ''Home'' tab.', 13, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (14, 'PAGE_OBJ_MY_HOME', '''My Home'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (62, 'PAGE_OBJ_MY_HOME__view', 'View ''My Home'' screen .', 14, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (15, 'PAGE_OBJ_MY_TASKLIST', '''My Task List'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (63, 'PAGE_OBJ_MY_TASKLIST__view', 'View ''My Task List'' screen .', 15, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (16, 'PAGE_OBJ_CUSTOMIZE', '''Customize Page'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (64, 'PAGE_OBJ_CUSTOMIZE__view', 'View ''Customize Page'' screen .', 16, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (17, 'PAGE_OBJ_SAVE_CUSTOMIZE', '''Save Customize'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (65, 'PAGE_OBJ_SAVE_CUSTOMIZE__view', 'View ''Save Customize'' screen .', 17, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (18, 'PAGE_OBJ_EDIT_PARAMS', '''Edit Params'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (66, 'PAGE_OBJ_EDIT_PARAMS__view', 'View ''Edit Params'' screen .', 18, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (19, 'PAGE_OBJ_SAVE_PARAMS', '''Save Params'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (67, 'PAGE_OBJ_SAVE_PARAMS__view', 'View ''Save Params'' screen .', 19, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (20, 'PAGE_OBJ_REQUEST_DETAIL', '''Request Detail'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (68, 'PAGE_OBJ_REQUEST_DETAIL__view', 'View ''Request Detail'' screen .', 20, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (21, 'PAGE_OBJ_ALERT_ACTIONABLES', '''Actionables'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (69, 'PAGE_OBJ_ALERT_ACTIONABLES__view', 'View ''Actionables'' screen .', 21, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (22, 'PAGE_OBJ_CUSTOM_PAGE', '''Custom Page'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (70, 'PAGE_OBJ_CUSTOM_PAGE__view', 'View ''Custom Page'' screen .', 22, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (23, 'PAGE_OBJ_USER_SETTINGS', '''My Settings'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (71, 'PAGE_OBJ_USER_SETTINGS__view', 'View ''My Settings'' screen .', 23, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (24, 'PAGE_OBJ_ADM_USER_VIEW', '''My Profile'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (72, 'PAGE_OBJ_ADM_USER_VIEW__view', 'View ''My Profile'' screen .', 24, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (25, 'PAGE_OBJ_CONFIGURE_TABLE', '''Configure Table'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (73, 'PAGE_OBJ_CONFIGURE_TABLE__view', 'View ''Configure Table'' screen .', 25, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (26, 'PAGE_OBJ_SIGN_OUT', '''Signout'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (74, 'PAGE_OBJ_SIGN_OUT__view', 'View ''Signout'' screen .', 26, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (27, 'PAGE_OBJ_HELP_INTRO', '''Help'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (75, 'PAGE_OBJ_HELP_INTRO__view', 'View ''Help'' screen .', 27, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (28, 'PAGE_OBJ_DEFAULT_LAYOUT_CONTENT_MGMT', '''Product Manager'' tab', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (76, 'PAGE_OBJ_DEFAULT_LAYOUT_CONTENT_MGMT__view', 'View ''Product Manager'' tab.', 28, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (29, 'PAGE_OBJ_CATALOG_PARENT', '''Catalogs'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (77, 'PAGE_OBJ_CATALOG_PARENT__view', 'View ''Catalogs'' screen .', 29, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (30, 'PAGE_OBJ_CTG_CONSOLE', '''Catalog Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (78, 'PAGE_OBJ_CTG_CONSOLE__view', 'View ''Catalog Console'' screen .', 30, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (31, 'PAGE_OBJ_CAT_CREATE', '''New Catalog'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (79, 'PAGE_OBJ_CAT_CREATE__view', 'View ''New Catalog'' screen .', 31, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (32, 'PAGE_OBJ_ITEM_LOCATION_ATTRIBUTES', '''Item Location Attributes'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (80, 'PAGE_OBJ_ITEM_LOCATION_ATTRIBUTES__view', 'View ''Item Location Attributes'' screen .', 32, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (33, 'PAGE_OBJ_RELATION_CTG_CREATE', '''Define Location Specific Attributes'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (81, 'PAGE_OBJ_RELATION_CTG_CREATE__view', 'View ''Define Location Specific Attributes'' screen .', 33, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (34, 'PAGE_OBJ_CTG_TAB_VIEW', '''Create/Edit Tab View'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (82, 'PAGE_OBJ_CTG_TAB_VIEW__view', 'View ''Create/Edit Tab View'' screen .', 34, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (35, 'PAGE_OBJ_ITEM_ROLLBACK', '''Item Rollback'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (83, 'PAGE_OBJ_ITEM_ROLLBACK__view', 'View ''Item Rollback'' screen .', 35, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (36, 'PAGE_OBJ_CAT_ITEM_LIST', '''Item List'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (84, 'PAGE_OBJ_CAT_ITEM_LIST__view', 'View ''Item List'' screen .', 36, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (37, 'PAGE_OBJ_ITEM_LIST_POPUP', '''Item List Popup'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (85, 'PAGE_OBJ_ITEM_LIST_POPUP__view', 'View ''Item List Popup'' screen .', 37, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (38, 'PAGE_OBJ_CAT_ADD_MOD_ITEM', '''Edit Item'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (86, 'PAGE_OBJ_CAT_ADD_MOD_ITEM__view', 'View ''Edit Item'' screen .', 38, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (39, 'PAGE_OBJ_ITEM_DATA_ENTRY', '''Item Data Entry'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (87, 'PAGE_OBJ_ITEM_DATA_ENTRY__view', 'View ''Item Data Entry'' screen .', 39, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (40, 'PAGE_OBJ_DATA_ENTRY_VIEW_SEARCH', '''Data Entry View Search'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (88, 'PAGE_OBJ_DATA_ENTRY_VIEW_SEARCH__view', 'View ''Data Entry View Search'' screen .', 40, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (41, 'PAGE_OBJ_DATA_ENTRY_VALIDATION', '''Data Entry Validation Errors'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (89, 'PAGE_OBJ_DATA_ENTRY_VALIDATION__view', 'View ''Data Entry Validation Errors'' screen .', 41, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (42, 'PAGE_OBJ_CATEGORY_DATA_ENTRY', '''Category Data Entry'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (90, 'PAGE_OBJ_CATEGORY_DATA_ENTRY__view', 'View ''Category Data Entry'' screen .', 42, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (43, 'PAGE_OBJ_CAT_BULK_EDIT', '''Bulk Edit'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (91, 'PAGE_OBJ_CAT_BULK_EDIT__view', 'View ''Bulk Edit'' screen .', 43, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (44, 'PAGE_OBJ_IMAGE_UPLOADER', '''Image Uploader'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (92, 'PAGE_OBJ_IMAGE_UPLOADER__view', 'View ''Image Uploader'' screen .', 44, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (45, 'PAGE_OBJ_ENTRY_PREVIEW', '''Entry Preview Popup'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (93, 'PAGE_OBJ_ENTRY_PREVIEW__view', 'View ''Entry Preview Popup'' screen .', 45, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (46, 'PAGE_OBJ_SHOW_INHERITANCE_PATHS', '''Inheritance Paths'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (94, 'PAGE_OBJ_SHOW_INHERITANCE_PATHS__view', 'View ''Inheritance Paths'' screen .', 46, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (47, 'PAGE_OBJ_SHOW_INHERITANCE_ENTRIES', '''Inheritance Entries'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (95, 'PAGE_OBJ_SHOW_INHERITANCE_ENTRIES__view', 'View ''Inheritance Entries'' screen .', 47, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (48, 'PAGE_OBJ_CAT_ROLLBACK', '''Catalog Rollback'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (96, 'PAGE_OBJ_CAT_ROLLBACK__view', 'View ''Catalog Rollback'' screen .', 48, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (49, 'PAGE_OBJ_CTG_VIEW', '''Catalog View Create/Edit'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (97, 'PAGE_OBJ_CTG_VIEW__view', 'View ''Catalog View Create/Edit'' screen .', 49, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (50, 'PAGE_OBJ_CTR_VIEW', '''Hierarchy View Create/Edit'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (98, 'PAGE_OBJ_CTR_VIEW__view', 'View ''Hierarchy View Create/Edit'' screen .', 50, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (51, 'PAGE_OBJ_CATALOG_DETAIL', '''Catalog Detail'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (99, 'PAGE_OBJ_CATALOG_DETAIL__view', 'View ''Catalog Detail'' screen .', 51, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (52, 'PAGE_OBJ_CONTAINER_PREVIEW', '''Container Preview Popup'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (100, 'PAGE_OBJ_CONTAINER_PREVIEW__view', 'View ''Container Preview Popup'' screen .', 52, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (53, 'PAGE_OBJ_CATALOG_VERSION_STATISTICS', '''Catalog Version Statistics'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (101, 'PAGE_OBJ_CATALOG_VERSION_STATISTICS__view', 'View ''Catalog Version Statistics'' screen .', 53, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (54, 'PAGE_OBJ_LOC_INH_SETUP', '''Setup Location Attributes Inheritance'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (102, 'PAGE_OBJ_LOC_INH_SETUP__view', 'View ''Setup Location Attributes Inheritance'' screen .', 54, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (55, 'PAGE_OBJ_CAT_DIFFERENCES', '''Catalog Differences'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (103, 'PAGE_OBJ_CAT_DIFFERENCES__view', 'View ''Catalog Differences'' screen .', 55, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (56, 'PAGE_OBJ_CAT_ITEM_DIFFERENCES', '''View Differences'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (104, 'PAGE_OBJ_CAT_ITEM_DIFFERENCES__view', 'View ''View Differences'' screen .', 56, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (57, 'PAGE_OBJ_SELECT_DIFF_CAT_ITEMS', '''Differences Options'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (105, 'PAGE_OBJ_SELECT_DIFF_CAT_ITEMS__view', 'View ''Differences Options'' screen .', 57, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (58, 'PAGE_OBJ_SELECT_DIFF_TYPE', '''Differences Types'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (106, 'PAGE_OBJ_SELECT_DIFF_TYPE__view', 'View ''Differences Types'' screen .', 58, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (59, 'PAGE_OBJ_CAT_DELETE', '''Catalog Delete'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (107, 'PAGE_OBJ_CAT_DELETE__view', 'View ''Catalog Delete'' screen .', 59, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (60, 'PAGE_OBJ_CAT_USER_DEFINED_LOGS', '''Catalog Activity'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (108, 'PAGE_OBJ_CAT_USER_DEFINED_LOGS__view', 'View ''Catalog Activity'' screen .', 60, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (61, 'PAGE_OBJ_CAT_RUN_PREVIEW_SCRIPT', '''Catalog Preview'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (109, 'PAGE_OBJ_CAT_RUN_PREVIEW_SCRIPT__view', 'View ''Catalog Preview'' screen .', 61, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (62, 'PAGE_OBJ_CATALOG_TO_CATALOG_EXPORT_MAIN', '''Catalog to Catalog Export'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (110, 'PAGE_OBJ_CATALOG_TO_CATALOG_EXPORT_MAIN__view', 'View ''Catalog to Catalog Export'' screen .', 62, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (63, 'PAGE_OBJ_CATALOG_TO_CATALOG_EXPORT_CONSOLE', '''Catalog to Catalog Export Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (111, 'PAGE_OBJ_CATALOG_TO_CATALOG_EXPORT_CONSOLE__view', 'View ''Catalog to Catalog Export Console'' screen .', 63, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (64, 'PAGE_OBJ_NEW_CATALOG_TO_CATALOG_EXPORT', '''New Catalog to Catalog Export'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (112, 'PAGE_OBJ_NEW_CATALOG_TO_CATALOG_EXPORT__view', 'View ''New Catalog to Catalog Export'' screen .', 64, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (65, 'PAGE_OBJ_CAT_CONTENT', '''Hierarchies'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (113, 'PAGE_OBJ_CAT_CONTENT__view', 'View ''Hierarchies'' screen .', 65, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (66, 'PAGE_OBJ_CATEGORY_TREE_CONSOLE', '''Hierarchy Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (114, 'PAGE_OBJ_CATEGORY_TREE_CONSOLE__view', 'View ''Hierarchy Console'' screen .', 66, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (67, 'PAGE_OBJ_CTR_CREATE', '''New Hierarchy'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (115, 'PAGE_OBJ_CTR_CREATE__view', 'View ''New Hierarchy'' screen .', 67, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (68, 'PAGE_OBJ_CTR_ROLLBACK', '''Hierarchy Rollback'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (116, 'PAGE_OBJ_CTR_ROLLBACK__view', 'View ''Hierarchy Rollback'' screen .', 68, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (69, 'PAGE_OBJ_CTR_DELETE', '''Hierarchy Delete'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (117, 'PAGE_OBJ_CTR_DELETE__view', 'View ''Hierarchy Delete'' screen .', 69, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (70, 'PAGE_OBJ_CATEGORY_TREE_DETAIL', '''Hierarchy Detail'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (118, 'PAGE_OBJ_CATEGORY_TREE_DETAIL__view', 'View ''Hierarchy Detail'' screen .', 70, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (71, 'PAGE_OBJ_SELECT_MKT_CATEGORY', '''Item Categorization'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (119, 'PAGE_OBJ_SELECT_MKT_CATEGORY__view', 'View ''Item Categorization'' screen .', 71, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (72, 'PAGE_OBJ_SELECT_SPEC_ATTRIB', '''Select Spec Attributes'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (120, 'PAGE_OBJ_SELECT_SPEC_ATTRIB__view', 'View ''Select Spec Attributes'' screen .', 72, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (73, 'PAGE_OBJ_CATEGORY_TREE_MAP_PARENT', '''Hierarchy Maps'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (121, 'PAGE_OBJ_CATEGORY_TREE_MAP_PARENT__view', 'View ''Hierarchy Maps'' screen .', 73, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (74, 'PAGE_OBJ_CATEGORY_TREE_MAP_CONSOLE', '''Hierarchy Mapping Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (122, 'PAGE_OBJ_CATEGORY_TREE_MAP_CONSOLE__view', 'View ''Hierarchy Mapping Console'' screen .', 74, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (75, 'PAGE_OBJ_CAT_MAP_CAT_GENERIC', '''Map Hierarchies'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (123, 'PAGE_OBJ_CAT_MAP_CAT_GENERIC__view', 'View ''Map Hierarchies'' screen .', 75, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (76, 'PAGE_OBJ_LOAD_CCM_MAP', '''Update Items with Hierarchy Map'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (124, 'PAGE_OBJ_LOAD_CCM_MAP__view', 'View ''Update Items with Hierarchy Map'' screen .', 76, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (77, 'PAGE_OBJ_SELECTIONS_PARENT', '''Selections'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (125, 'PAGE_OBJ_SELECTIONS_PARENT__view', 'View ''Selections'' screen .', 77, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (78, 'PAGE_OBJ_SELECTIONS_CONSOLE', '''Selection Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (126, 'PAGE_OBJ_SELECTIONS_CONSOLE__view', 'View ''Selection Console'' screen .', 78, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (79, 'PAGE_OBJ_CAT_PREVIEW_SELECT', '''Preview Selection'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (127, 'PAGE_OBJ_CAT_PREVIEW_SELECT__view', 'View ''Preview Selection'' screen .', 79, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (80, 'PAGE_OBJ_CAT_BROWSE_SELECT', '''New Basic Selection'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (128, 'PAGE_OBJ_CAT_BROWSE_SELECT__view', 'View ''New Basic Selection'' screen .', 80, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (81, 'PAGE_OBJ_CAT_ITEM_LIST_POPUP', '''Item List Popup'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (129, 'PAGE_OBJ_CAT_ITEM_LIST_POPUP__view', 'View ''Item List Popup'' screen .', 81, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (82, 'PAGE_OBJ_CAT_BROWSE_SELECT_POPUP', '''Browse Select Popup'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (130, 'PAGE_OBJ_CAT_BROWSE_SELECT_POPUP__view', 'View ''Browse Select Popup'' screen .', 82, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (83, 'PAGE_OBJ_CAT_ITEM_SEL_DYNAMIC', '''New Dynamic Selection'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (131, 'PAGE_OBJ_CAT_ITEM_SEL_DYNAMIC__view', 'View ''New Dynamic Selection'' screen .', 83, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (84, 'PAGE_OBJ_EXPRESSION_EDITOR', '''Expression Editor'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (132, 'PAGE_OBJ_EXPRESSION_EDITOR__view', 'View ''Expression Editor'' screen .', 84, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (85, 'PAGE_OBJ_VALIDATION_RULE_EDITOR', '''Validation Rule Editor'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (133, 'PAGE_OBJ_VALIDATION_RULE_EDITOR__view', 'View ''Validation Rule Editor'' screen .', 85, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (86, 'PAGE_OBJ_REPORTS', '''Reports'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (134, 'PAGE_OBJ_REPORTS__view', 'View ''Reports'' screen .', 86, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (87, 'PAGE_OBJ_REPORT_CONSOLE', '''Reports Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (135, 'PAGE_OBJ_REPORT_CONSOLE__view', 'View ''Reports Console'' screen .', 87, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (88, 'PAGE_OBJ_REPORT_DEF', '''New Report'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (136, 'PAGE_OBJ_REPORT_DEF__view', 'View ''New Report'' screen .', 88, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (89, 'PAGE_OBJ_REPORT_VIEW', '''Preview a Report'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (137, 'PAGE_OBJ_REPORT_VIEW__view', 'View ''Preview a Report'' screen .', 89, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (90, 'PAGE_OBJ_USER_DEFINED_LOGS_CONSOLE', '''User Defined Logs Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (138, 'PAGE_OBJ_USER_DEFINED_LOGS_CONSOLE__view', 'View ''User Defined Logs Console'' screen .', 90, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (91, 'PAGE_OBJ_USER_DEFINED_LOGS_DETAIL', '''User Defined Log Detail'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (139, 'PAGE_OBJ_USER_DEFINED_LOGS_DETAIL__view', 'View ''User Defined Log Detail'' screen .', 91, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (92, 'PAGE_OBJ_USER_DEFINED_LOGS_FOR_ENTRY', '''User Defined Logs For Entry'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (140, 'PAGE_OBJ_USER_DEFINED_LOGS_FOR_ENTRY__view', 'View ''User Defined Logs For Entry'' screen .', 92, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (93, 'PAGE_OBJ_SUPPLIER_HISTORY', '''Company Activity'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (141, 'PAGE_OBJ_SUPPLIER_HISTORY__view', 'View ''Company Activity'' screen .', 93, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (94, 'PAGE_OBJ_LKP_PARENT', '''Lookup Tables'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (142, 'PAGE_OBJ_LKP_PARENT__view', 'View ''Lookup Tables'' screen .', 94, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (95, 'PAGE_OBJ_LKP_MAIN', '''Lookup Table Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (143, 'PAGE_OBJ_LKP_MAIN__view', 'View ''Lookup Table Console'' screen .', 95, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (96, 'PAGE_OBJ_LKP_ADD', '''New Lookup Table'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (144, 'PAGE_OBJ_LKP_ADD__view', 'View ''New Lookup Table'' screen .', 96, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (97, 'PAGE_OBJ_LKP_TABLE_POPUP', '''Lookup Table Popup'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (145, 'PAGE_OBJ_LKP_TABLE_POPUP__view', 'View ''Lookup Table Popup'' screen .', 97, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (98, 'PAGE_OBJ_LKP_IMPORT_RES', '''Lookup Table Import Result'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (146, 'PAGE_OBJ_LKP_IMPORT_RES__view', 'View ''Lookup Table Import Result'' screen .', 98, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (99, 'PAGE_OBJ_DEFAULT_LAYOUT_CONNECTIVITY', '''Collaboration Manager'' tab', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (147, 'PAGE_OBJ_DEFAULT_LAYOUT_CONNECTIVITY__view', 'View ''Collaboration Manager'' tab.', 99, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (100, 'PAGE_OBJ_FEEDS_MAIN', '''Imports'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (148, 'PAGE_OBJ_FEEDS_MAIN__view', 'View ''Imports'' screen .', 100, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (101, 'PAGE_OBJ_IMPORT_CENTER', '''Import Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (149, 'PAGE_OBJ_IMPORT_CENTER__view', 'View ''Import Console'' screen .', 101, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (102, 'PAGE_OBJ_ADD_NEW_FEED', '''New Import'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (150, 'PAGE_OBJ_ADD_NEW_FEED__view', 'View ''New Import'' screen .', 102, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (103, 'PAGE_OBJ_FEED_FETCH_HANDLER', '''Feed Fetch Handler'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (151, 'PAGE_OBJ_FEED_FETCH_HANDLER__view', 'View ''Feed Fetch Handler'' screen .', 103, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (104, 'PAGE_OBJ_FETCH_PROCESS_PUSH_WWW', '''Process Browser Fetch'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (152, 'PAGE_OBJ_FETCH_PROCESS_PUSH_WWW__view', 'View ''Process Browser Fetch'' screen .', 104, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (105, 'PAGE_OBJ_LOAD_PROCESS', '''Process Load'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (153, 'PAGE_OBJ_LOAD_PROCESS__view', 'View ''Process Load'' screen .', 105, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (106, 'PAGE_OBJ_SYNDICATION_MAIN', '''Exports'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (154, 'PAGE_OBJ_SYNDICATION_MAIN__view', 'View ''Exports'' screen .', 106, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (107, 'PAGE_OBJ_EXPORT_CENTER', '''Export Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (155, 'PAGE_OBJ_EXPORT_CENTER__view', 'View ''Export Console'' screen .', 107, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (108, 'PAGE_OBJ_CAT_CTG_TO_MKT_UPLOAD', '''New Export'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (156, 'PAGE_OBJ_CAT_CTG_TO_MKT_UPLOAD__view', 'View ''New Export'' screen .', 108, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (109, 'PAGE_OBJ_COLLABORATION_TOP', '''Collaboration Areas'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (157, 'PAGE_OBJ_COLLABORATION_TOP__view', 'View ''Collaboration Areas'' screen .', 109, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (110, 'PAGE_OBJ_COLLABORATION_CONSOLE', '''Collaboration Area Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (158, 'PAGE_OBJ_COLLABORATION_CONSOLE__view', 'View ''Collaboration Area Console'' screen .', 110, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (111, 'PAGE_OBJ_COL_AREA_ITEM_DIFFERENCES', '''View Differences'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (159, 'PAGE_OBJ_COL_AREA_ITEM_DIFFERENCES__view', 'View ''View Differences'' screen .', 111, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (112, 'PAGE_OBJ_COL_AREA_INFO', '''Information on Checked Out Attributes'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (160, 'PAGE_OBJ_COL_AREA_INFO__view', 'View ''Information on Checked Out Attributes'' screen .', 112, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (113, 'PAGE_OBJ_COLLABORATION_AREA_SETUP', '''New Collaboration Area'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (161, 'PAGE_OBJ_COLLABORATION_AREA_SETUP__view', 'View ''New Collaboration Area'' screen .', 113, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (114, 'PAGE_OBJ_VIEW_COLLABORATION_AREA_SETUP', '''Collaboration Area Details'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (162, 'PAGE_OBJ_VIEW_COLLABORATION_AREA_SETUP__view', 'View ''Collaboration Area Details'' screen .', 114, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (115, 'PAGE_OBJ_QUEUE_TOP', '''Queues'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (163, 'PAGE_OBJ_QUEUE_TOP__view', 'View ''Queues'' screen .', 115, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (116, 'PAGE_OBJ_QUEUE_CONSOLE', '''Queue Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (164, 'PAGE_OBJ_QUEUE_CONSOLE__view', 'View ''Queue Console'' screen .', 116, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (117, 'PAGE_OBJ_MESSAGE_CONSOLE', '''Message Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (165, 'PAGE_OBJ_MESSAGE_CONSOLE__view', 'View ''Message Console'' screen .', 117, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (118, 'PAGE_OBJ_QUEUE_DETAIL', '''New Queue'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (166, 'PAGE_OBJ_QUEUE_DETAIL__view', 'View ''New Queue'' screen .', 118, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (119, 'PAGE_OBJ_QUEUE_MSG_LIST', '''Message List for Queue'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (167, 'PAGE_OBJ_QUEUE_MSG_LIST__view', 'View ''Message List for Queue'' screen .', 119, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (120, 'PAGE_OBJ_QUEUE_MSG_TYPE_DETAIL', '''Message Type Detail'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (168, 'PAGE_OBJ_QUEUE_MSG_TYPE_DETAIL__view', 'View ''Message Type Detail'' screen .', 120, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (121, 'PAGE_OBJ_INVOKE_QUEUE', '''Invoke Queue'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (169, 'PAGE_OBJ_INVOKE_QUEUE__view', 'View ''Invoke Queue'' screen .', 121, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (122, 'PAGE_OBJ_WBS_TOP', '''Web Services'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (170, 'PAGE_OBJ_WBS_TOP__view', 'View ''Web Services'' screen .', 122, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (123, 'PAGE_OBJ_WBS_CONSOLE', '''Web Service Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (171, 'PAGE_OBJ_WBS_CONSOLE__view', 'View ''Web Service Console'' screen .', 123, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (124, 'PAGE_OBJ_TRANSACTION_CONSOLE', '''Transaction Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (172, 'PAGE_OBJ_TRANSACTION_CONSOLE__view', 'View ''Transaction Console'' screen .', 124, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (125, 'PAGE_OBJ_WBS_DETAIL', '''New Web Service'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (173, 'PAGE_OBJ_WBS_DETAIL__view', 'View ''New Web Service'' screen .', 125, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (126, 'PAGE_OBJ_ADM_BROWSE_DOCSTORE', '''Document Store'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (174, 'PAGE_OBJ_ADM_BROWSE_DOCSTORE__view', 'View ''Document Store'' screen .', 126, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (127, 'PAGE_OBJ_EDIT_SCRIPT', '''View/Edit Script'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (175, 'PAGE_OBJ_EDIT_SCRIPT__view', 'View ''View/Edit Script'' screen .', 127, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (128, 'PAGE_OBJ_EDIT_INPUT_PARAMS', '''View/Edit Input Parameters'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (176, 'PAGE_OBJ_EDIT_INPUT_PARAMS__view', 'View ''View/Edit Input Parameters'' screen .', 128, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (129, 'PAGE_OBJ_EDIT_DOC_ACCESS', '''Edit Document Access'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (177, 'PAGE_OBJ_EDIT_DOC_ACCESS__view', 'View ''Edit Document Access'' screen .', 129, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (130, 'PAGE_OBJ_ADM_VIEW_DOCUMENT', '''Document'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (178, 'PAGE_OBJ_ADM_VIEW_DOCUMENT__view', 'View ''Document'' screen .', 130, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (131, 'PAGE_OBJ_ADM_VIEW_DOCUMENT_CONTENT', '''Document Content'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (179, 'PAGE_OBJ_ADM_VIEW_DOCUMENT_CONTENT__view', 'View ''Document Content'' screen .', 131, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (132, 'PAGE_OBJ_ADM_INVALIDATE_SCRIPT', '''Invalidate Script Cache'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (180, 'PAGE_OBJ_ADM_INVALIDATE_SCRIPT__view', 'View ''Invalidate Script Cache'' screen .', 132, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (133, 'PAGE_OBJ_INVOKER', '''Invoker'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (181, 'PAGE_OBJ_INVOKER__view', 'View ''Invoker'' screen .', 133, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (134, 'PAGE_OBJ_SECURE_INVOKER', '''Secure Invoker'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (182, 'PAGE_OBJ_SECURE_INVOKER__view', 'View ''Secure Invoker'' screen .', 134, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (135, 'PAGE_OBJ_DATA_SRC_PARENT', '''Data Sources'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (183, 'PAGE_OBJ_DATA_SRC_PARENT__view', 'View ''Data Sources'' screen .', 135, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (136, 'PAGE_OBJ_DATA_SRC_CONSOLE', '''Data Source Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (184, 'PAGE_OBJ_DATA_SRC_CONSOLE__view', 'View ''Data Source Console'' screen .', 136, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (137, 'PAGE_OBJ_DATA_SOURCE_CREATE', '''New Data Source'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (185, 'PAGE_OBJ_DATA_SOURCE_CREATE__view', 'View ''New Data Source'' screen .', 137, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (138, 'PAGE_OBJ_DISTRIBUTION_PARENT', '''Routing'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (186, 'PAGE_OBJ_DISTRIBUTION_PARENT__view', 'View ''Routing'' screen .', 138, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (139, 'PAGE_OBJ_DISTRIBUTION_TABLE', '''Routing Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (187, 'PAGE_OBJ_DISTRIBUTION_TABLE__view', 'View ''Routing Console'' screen .', 139, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (140, 'PAGE_OBJ_DISTRIBUTION', '''New Distribution'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (188, 'PAGE_OBJ_DISTRIBUTION__view', 'View ''New Distribution'' screen .', 140, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (141, 'PAGE_OBJ_SELECT_DISTRIBUTION', '''Select Routing'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (189, 'PAGE_OBJ_SELECT_DISTRIBUTION__view', 'View ''Select Routing'' screen .', 141, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (142, 'PAGE_OBJ_DISTRIBUTION_GROUP', '''New Distribution Group'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (190, 'PAGE_OBJ_DISTRIBUTION_GROUP__view', 'View ''New Distribution Group'' screen .', 142, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (143, 'PAGE_OBJ_GENERATED_FILES', '''Generated Files'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (191, 'PAGE_OBJ_GENERATED_FILES__view', 'View ''Generated Files'' screen .', 143, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (144, 'PAGE_OBJ_DEFAULT_LAYOUT_SETUP', '''Data Model Manager'' tab', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (192, 'PAGE_OBJ_DEFAULT_LAYOUT_SETUP__view', 'View ''Data Model Manager'' tab.', 144, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (145, 'PAGE_OBJ_SCHEDULE_MAIN_PAGE', '''Scheduler'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (193, 'PAGE_OBJ_SCHEDULE_MAIN_PAGE__view', 'View ''Scheduler'' screen .', 145, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (146, 'PAGE_OBJ_JOB_CONSOLE', '''Jobs Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (194, 'PAGE_OBJ_JOB_CONSOLE__view', 'View ''Jobs Console'' screen .', 146, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (147, 'PAGE_OBJ_JOB_DETAILS', '''Job Details'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (195, 'PAGE_OBJ_JOB_DETAILS__view', 'View ''Job Details'' screen .', 147, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (148, 'PAGE_OBJ_SCH_SCHEDULE_MAIN', '''Schedule'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (196, 'PAGE_OBJ_SCH_SCHEDULE_MAIN__view', 'View ''Schedule'' screen .', 148, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (149, 'PAGE_OBJ_SCHEDULE_POPUP', '''Schedule Status Information'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (197, 'PAGE_OBJ_SCHEDULE_POPUP__view', 'View ''Schedule Status Information'' screen .', 149, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (150, 'PAGE_OBJ_COMPLETE_STATUS', '''Schedule Status Information'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (198, 'PAGE_OBJ_COMPLETE_STATUS__view', 'View ''Schedule Status Information'' screen .', 150, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (151, 'PAGE_OBJ_UPDATE_SCHEDULE', '''Update Schedule'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (199, 'PAGE_OBJ_UPDATE_SCHEDULE__view', 'View ''Update Schedule'' screen .', 151, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (152, 'PAGE_OBJ_ENTRY_PROCESSOR_RUNS', '''Entry Processor Status'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (200, 'PAGE_OBJ_ENTRY_PROCESSOR_RUNS__view', 'View ''Entry Processor Status'' screen .', 152, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (153, 'PAGE_OBJ_SCH_SCHEDULE_STATUS', '''Schedule Status'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (201, 'PAGE_OBJ_SCH_SCHEDULE_STATUS__view', 'View ''Schedule Status'' screen .', 153, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (154, 'PAGE_OBJ_SCHEDULE_RUN_INFO', '''Schedule Run Information'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (202, 'PAGE_OBJ_SCHEDULE_RUN_INFO__view', 'View ''Schedule Run Information'' screen .', 154, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (155, 'PAGE_OBJ_SCHEDULE_RUN_PERF_INFO', '''Schedule Run Performance Information'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (203, 'PAGE_OBJ_SCHEDULE_RUN_PERF_INFO__view', 'View ''Schedule Run Performance Information'' screen .', 155, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (156, 'PAGE_OBJ_SCHEDULE_RUN_DEBUG_INFO', '''Schedule Run Debug Information'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (204, 'PAGE_OBJ_SCHEDULE_RUN_DEBUG_INFO__view', 'View ''Schedule Run Debug Information'' screen .', 156, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (157, 'PAGE_OBJ_SCHEDULE_RUN_PROGRESS_INFO', '''Schedule Run Progress Information'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (205, 'PAGE_OBJ_SCHEDULE_RUN_PROGRESS_INFO__view', 'View ''Schedule Run Progress Information'' screen .', 157, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (158, 'PAGE_OBJ_SCHEDULE_RUN_PROGRESS_COMPARE', '''Schedule Run Progress Comparision'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (206, 'PAGE_OBJ_SCHEDULE_RUN_PROGRESS_COMPARE__view', 'View ''Schedule Run Progress Comparision'' screen .', 158, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (159, 'PAGE_OBJ_SCHEDULE_STOP', '''Stop schedule'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (207, 'PAGE_OBJ_SCHEDULE_STOP__view', 'View ''Stop schedule'' screen .', 159, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (160, 'PAGE_OBJ_CAT_SPEC', '''Specs/Mappings'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (208, 'PAGE_OBJ_CAT_SPEC__view', 'View ''Specs/Mappings'' screen .', 160, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (161, 'PAGE_OBJ_SPECS_CONSOLE', '''Specs Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (209, 'PAGE_OBJ_SPECS_CONSOLE__view', 'View ''Specs Console'' screen .', 161, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (162, 'PAGE_OBJ_SPEC_TREE', '''Spec Create/Edit'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (210, 'PAGE_OBJ_SPEC_TREE__view', 'View ''Spec Create/Edit'' screen .', 162, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (163, 'PAGE_OBJ_ENTER_SPEC_TO_DB', '''Spec Tree to DB'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (211, 'PAGE_OBJ_ENTER_SPEC_TO_DB__view', 'View ''Spec Tree to DB'' screen .', 163, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (164, 'PAGE_OBJ_SPEC_ENUM_POPUP', '''Spec Enum Popup'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (212, 'PAGE_OBJ_SPEC_ENUM_POPUP__view', 'View ''Spec Enum Popup'' screen .', 164, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (165, 'PAGE_OBJ_SUB_SPEC_POPUP', '''Sub Spec Popup'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (213, 'PAGE_OBJ_SUB_SPEC_POPUP__view', 'View ''Sub Spec Popup'' screen .', 165, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (166, 'PAGE_OBJ_SUBNODE_SPEC_ASSOCIATIONS', '''Edit Spec Associations For Node'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (214, 'PAGE_OBJ_SUBNODE_SPEC_ASSOCIATIONS__view', 'View ''Edit Spec Associations For Node'' screen .', 166, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (167, 'PAGE_OBJ_NODE_GROUP_ASSOCIATIONS', '''Edit Attribute Collection Associations For Node'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (215, 'PAGE_OBJ_NODE_GROUP_ASSOCIATIONS__view', 'View ''Edit Attribute Collection Associations For Node'' screen .', 167, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (168, 'PAGE_OBJ_NODE_TAB_TABULAR_ASSOCIATIONS', '''Edit Tabular Associations For Node'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (216, 'PAGE_OBJ_NODE_TAB_TABULAR_ASSOCIATIONS__view', 'View ''Edit Tabular Associations For Node'' screen .', 168, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (169, 'PAGE_OBJ_IMPORT_SPEC', '''Import Spec'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (217, 'PAGE_OBJ_IMPORT_SPEC__view', 'View ''Import Spec'' screen .', 169, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (170, 'PAGE_OBJ_IMPEXP_SPEC', '''Import Export Spec'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (218, 'PAGE_OBJ_IMPEXP_SPEC__view', 'View ''Import Export Spec'' screen .', 170, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (171, 'PAGE_OBJ_SPEC_MAP_PARENT', '''Spec Maps'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (219, 'PAGE_OBJ_SPEC_MAP_PARENT__view', 'View ''Spec Maps'' screen .', 171, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (172, 'PAGE_OBJ_MAPPING_CONSOLE', '''Spec Map Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (220, 'PAGE_OBJ_MAPPING_CONSOLE__view', 'View ''Spec Map Console'' screen .', 172, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (173, 'PAGE_OBJ_SPEC_MAP', '''New Spec Map'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (221, 'PAGE_OBJ_SPEC_MAP__view', 'View ''New Spec Map'' screen .', 173, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (174, 'PAGE_OBJ_ATTRIBUTE_GROUPS_PARENT', '''Attribute Collections'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (222, 'PAGE_OBJ_ATTRIBUTE_GROUPS_PARENT__view', 'View ''Attribute Collections'' screen .', 174, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (175, 'PAGE_OBJ_ATTRIBUTE_GROUP_CONSOLE', '''Attribute Collection Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (223, 'PAGE_OBJ_ATTRIBUTE_GROUP_CONSOLE__view', 'View ''Attribute Collection Console'' screen .', 175, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (176, 'PAGE_OBJ_EDIT_ATTRIBUTE_GROUP', '''New Attribute Collection'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (224, 'PAGE_OBJ_EDIT_ATTRIBUTE_GROUP__view', 'View ''New Attribute Collection'' screen .', 176, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (177, 'PAGE_OBJ_SCRIPTS_PAGES', '''Scripting'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (225, 'PAGE_OBJ_SCRIPTS_PAGES__view', 'View ''Scripting'' screen .', 177, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (178, 'PAGE_OBJ_SCRIPTS_CONSOLE', '''Scripts Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (226, 'PAGE_OBJ_SCRIPTS_CONSOLE__view', 'View ''Scripts Console'' screen .', 178, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (179, 'PAGE_OBJ_ADM_SCRIPT_SANDBOX', '''Script Sandbox'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (227, 'PAGE_OBJ_ADM_SCRIPT_SANDBOX__view', 'View ''Script Sandbox'' screen .', 179, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (180, 'PAGE_OBJ_ADM_ORG_USER', '''Security'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (228, 'PAGE_OBJ_ADM_ORG_USER__view', 'View ''Security'' screen .', 180, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (181, 'PAGE_OBJ_ADM_DISPLAY_USERS', '''User Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (229, 'PAGE_OBJ_ADM_DISPLAY_USERS__view', 'View ''User Console'' screen .', 181, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (182, 'PAGE_OBJ_ADM_SEC_USER_ROLE_MAP', '''User-Role Map'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (230, 'PAGE_OBJ_ADM_SEC_USER_ROLE_MAP__view', 'View ''User-Role Map'' screen .', 182, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (183, 'PAGE_OBJ_ADM_USR_PROFILE', '''My Profile'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (231, 'PAGE_OBJ_ADM_USR_PROFILE__view', 'View ''My Profile'' screen .', 183, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (184, 'PAGE_OBJ_USER_BRIEF_VIEW', '''User Information'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (232, 'PAGE_OBJ_USER_BRIEF_VIEW__view', 'View ''User Information'' screen .', 184, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (185, 'PAGE_OBJ_ADM_SEC_ROLES', '''Role Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (233, 'PAGE_OBJ_ADM_SEC_ROLES__view', 'View ''Role Console'' screen .', 185, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (186, 'PAGE_OBJ_ADM_DISPLAY_USERS_FOR_ROLE', '''Users for Role'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (234, 'PAGE_OBJ_ADM_DISPLAY_USERS_FOR_ROLE__view', 'View ''Users for Role'' screen .', 186, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (187, 'PAGE_OBJ_ROLE_SECURITY_ACCESS', '''Role-Security Access Map'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (235, 'PAGE_OBJ_ROLE_SECURITY_ACCESS__view', 'View ''Role-Security Access Map'' screen .', 187, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (188, 'PAGE_OBJ_EDIT_SCREEN_ACCESS_POPUP', '''Edit Screen Access'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (236, 'PAGE_OBJ_EDIT_SCREEN_ACCESS_POPUP__view', 'View ''Edit Screen Access'' screen .', 188, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (189, 'PAGE_OBJ_ADM_ROLE_CONTROLLER', '''Role Controller'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (237, 'PAGE_OBJ_ADM_ROLE_CONTROLLER__view', 'View ''Role Controller'' screen .', 189, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (190, 'PAGE_OBJ_ROLE_TO_SCRIPT_MAP', '''Role to WPC Applications Map'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (238, 'PAGE_OBJ_ROLE_TO_SCRIPT_MAP__view', 'View ''Role to WPC Applications Map'' screen .', 190, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (191, 'PAGE_OBJ_MAP_CONTAINER_TO_LOCALES', '''Container to Locales Map'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (239, 'PAGE_OBJ_MAP_CONTAINER_TO_LOCALES__view', 'View ''Container to Locales Map'' screen .', 191, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (192, 'PAGE_OBJ_ADM_COMPANY_ATTRIBUTES', '''Company Attributes'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (240, 'PAGE_OBJ_ADM_COMPANY_ATTRIBUTES__view', 'View ''Company Attributes'' screen .', 192, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (193, 'PAGE_OBJ_ACG_PARENT', '''Access Control Groups'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (241, 'PAGE_OBJ_ACG_PARENT__view', 'View ''Access Control Groups'' screen .', 193, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (194, 'PAGE_OBJ_MAP_OBJECT_TO_ACCESS_CONTROL_GROUP', '''Object to Access Control Group Map'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (242, 'PAGE_OBJ_MAP_OBJECT_TO_ACCESS_CONTROL_GROUP__view', 'View ''Object to Access Control Group Map'' screen .', 194, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (195, 'PAGE_OBJ_ACCESS_CONTROL_GROUP_CONSOLE', '''Access Control Group Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (243, 'PAGE_OBJ_ACCESS_CONTROL_GROUP_CONSOLE__view', 'View ''Access Control Group Console'' screen .', 195, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (196, 'PAGE_OBJ_EDIT_ACCESS_CONTROL_GROUP', '''Edit Access Control Group'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (244, 'PAGE_OBJ_EDIT_ACCESS_CONTROL_GROUP__view', 'View ''Edit Access Control Group'' screen .', 196, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (197, 'PAGE_OBJ_EDIT_SYSTEM_WIDE_ACCESS', '''Edit System-wide Access'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (245, 'PAGE_OBJ_EDIT_SYSTEM_WIDE_ACCESS__view', 'View ''Edit System-wide Access'' screen .', 197, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (198, 'PAGE_OBJ_ACCESS_PARENT', '''Access Privileges'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (246, 'PAGE_OBJ_ACCESS_PARENT__view', 'View ''Access Privileges'' screen .', 198, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (199, 'PAGE_OBJ_CTG_ACCESS_CONSOLE', '''Catalog Access Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (247, 'PAGE_OBJ_CTG_ACCESS_CONSOLE__view', 'View ''Catalog Access Console'' screen .', 199, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (200, 'PAGE_OBJ_CTG_ACCESS_PRV', '''New Catalog Access Privileges'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (248, 'PAGE_OBJ_CTG_ACCESS_PRV__view', 'View ''New Catalog Access Privileges'' screen .', 200, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (201, 'PAGE_OBJ_CTR_ACCESS_CONSOLE', '''Hierarchy Access Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (249, 'PAGE_OBJ_CTR_ACCESS_CONSOLE__view', 'View ''Hierarchy Access Console'' screen .', 201, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (202, 'PAGE_OBJ_CTR_ACCESS_PRV', '''New Hierarchy Access Privileges'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (250, 'PAGE_OBJ_CTR_ACCESS_PRV__view', 'View ''New Hierarchy Access Privileges'' screen .', 202, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (203, 'PAGE_OBJ_ADM_ALG_PARENT', '''Activity Logs'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (251, 'PAGE_OBJ_ADM_ALG_PARENT__view', 'View ''Activity Logs'' screen .', 203, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (204, 'PAGE_OBJ_ADM_ALG_MAIN', '''Activity Log'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (252, 'PAGE_OBJ_ADM_ALG_MAIN__view', 'View ''Activity Log'' screen .', 204, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (205, 'PAGE_OBJ_ADM_ALG_VIEWLOG', '''View Log'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (253, 'PAGE_OBJ_ADM_ALG_VIEWLOG__view', 'View ''View Log'' screen .', 205, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (206, 'PAGE_OBJ_ADM_LOGIN_HISTORY_VIEW', '''Login History'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (254, 'PAGE_OBJ_ADM_LOGIN_HISTORY_VIEW__view', 'View ''Login History'' screen .', 206, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (207, 'PAGE_OBJ_CAL_COMPANY_PREFERENCE', '''Event Audit'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (255, 'PAGE_OBJ_CAL_COMPANY_PREFERENCE__view', 'View ''Event Audit'' screen .', 207, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (208, 'PAGE_OBJ_EVENT_DETAILS', '''Event Details'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (256, 'PAGE_OBJ_EVENT_DETAILS__view', 'View ''Event Details'' screen .', 208, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (209, 'PAGE_OBJ_SITE_MAP', '''Navigation Map'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (257, 'PAGE_OBJ_SITE_MAP__view', 'View ''Navigation Map'' screen .', 209, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (210, 'PAGE_OBJ_NO_PRIVILEGE', '''Not Authorized'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (258, 'PAGE_OBJ_NO_PRIVILEGE__view', 'View ''Not Authorized'' screen .', 210, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (211, 'PAGE_OBJ_RENDERER', '''Renderer'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (259, 'PAGE_OBJ_RENDERER__view', 'View ''Renderer'' screen .', 211, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (212, 'PAGE_OBJ_SEARCH_TEMPLATE', '''Search Template'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (260, 'PAGE_OBJ_SEARCH_TEMPLATE__view', 'View ''Search Template'' screen .', 212, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (213, 'PAGE_OBJ_TEST_WIDGETS', '''Test Widgets'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (261, 'PAGE_OBJ_TEST_WIDGETS__view', 'View ''Test Widgets'' screen .', 213, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (214, 'PAGE_OBJ_CONSOLES', '''Consoles'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (262, 'PAGE_OBJ_CONSOLES__view', 'View ''Consoles'' screen .', 214, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (215, 'PAGE_OBJ_CHANGE_LOOK', '''Display Styles'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (263, 'PAGE_OBJ_CHANGE_LOOK__view', 'View ''Display Styles'' screen .', 215, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (216, 'PAGE_OBJ_ALERTS', '''Alerts'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (264, 'PAGE_OBJ_ALERTS__view', 'View ''Alerts'' screen .', 216, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (217, 'PAGE_OBJ_SHOW_ALERT_SUBS', '''Alerts Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (265, 'PAGE_OBJ_SHOW_ALERT_SUBS__view', 'View ''Alerts Console'' screen .', 217, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (218, 'PAGE_OBJ_ALERT_SUB_DETAIL', '''Alerts Description Detail'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (266, 'PAGE_OBJ_ALERT_SUB_DETAIL__view', 'View ''Alerts Description Detail'' screen .', 218, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (219, 'PAGE_OBJ_SUBSCRIBE_ALERTS', '''New Alert Subscription'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (267, 'PAGE_OBJ_SUBSCRIBE_ALERTS__view', 'View ''New Alert Subscription'' screen .', 219, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (220, 'PAGE_OBJ_SELECT_USER_IDS', '''SelectUserIds'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (268, 'PAGE_OBJ_SELECT_USER_IDS__view', 'View ''SelectUserIds'' screen .', 220, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (221, 'PAGE_OBJ_ALERTS_DISPLAY', '''Alerts Display'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (269, 'PAGE_OBJ_ALERTS_DISPLAY__view', 'View ''Alerts Display'' screen .', 221, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (222, 'PAGE_OBJ_ALERT_DETAIL', '''Alerts Detail'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (270, 'PAGE_OBJ_ALERT_DETAIL__view', 'View ''Alerts Detail'' screen .', 222, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (223, 'PAGE_OBJ_STAGING_AREA_PARENT', '''Staging Areas'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (271, 'PAGE_OBJ_STAGING_AREA_PARENT__view', 'View ''Staging Areas'' screen .', 223, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (224, 'PAGE_OBJ_STAGING_AREA_CONSOLE', '''Staging Area Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (272, 'PAGE_OBJ_STAGING_AREA_CONSOLE__view', 'View ''Staging Area Console'' screen .', 224, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (225, 'PAGE_OBJ_STAGING_AREA_CREATE', '''New Staging Area'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (273, 'PAGE_OBJ_STAGING_AREA_CREATE__view', 'View ''New Staging Area'' screen .', 225, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (226, 'PAGE_OBJ_WFL_TOP', '''Workflows'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (274, 'PAGE_OBJ_WFL_TOP__view', 'View ''Workflows'' screen .', 226, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (227, 'PAGE_OBJ_WORKFLOW_CONSOLE', '''Workflow Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (275, 'PAGE_OBJ_WORKFLOW_CONSOLE__view', 'View ''Workflow Console'' screen .', 227, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (228, 'PAGE_OBJ_WORKFLOW_STEP_SETUP', '''Workflow Step Setup'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (276, 'PAGE_OBJ_WORKFLOW_STEP_SETUP__view', 'View ''Workflow Step Setup'' screen .', 228, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (229, 'PAGE_OBJ_SELECT_PERFORMERS', '''Select Performers'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (277, 'PAGE_OBJ_SELECT_PERFORMERS__view', 'View ''Select Performers'' screen .', 229, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (230, 'PAGE_OBJ_SELECT_ATTR_GROUPS_FOR_WFL_STEP', '''Select Attribute Collections for Workflow Step'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (278, 'PAGE_OBJ_SELECT_ATTR_GROUPS_FOR_WFL_STEP__view', 'View ''Select Attribute Collections for Workflow Step'' screen .', 230, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (231, 'PAGE_OBJ_WFL_STEP_VIEW', '''Workflow Step View Create/Edit'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (279, 'PAGE_OBJ_WFL_STEP_VIEW__view', 'View ''Workflow Step View Create/Edit'' screen .', 231, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (232, 'PAGE_OBJ_DISPLAY_WFL_NODES', '''Display Nodes for Workflow'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (280, 'PAGE_OBJ_DISPLAY_WFL_NODES__view', 'View ''Display Nodes for Workflow'' screen .', 232, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (233, 'PAGE_OBJ_ADD_NEXT_STEPS_FOR_WFL_EXIT_VALUES', '''Add next steps for workflow exit values'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (281, 'PAGE_OBJ_ADD_NEXT_STEPS_FOR_WFL_EXIT_VALUES__view', 'View ''Add next steps for workflow exit values'' screen .', 233, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (234, 'PAGE_OBJ_WORKFLOW_EDIT_GUI', '''Workflow GUI Creation'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (282, 'PAGE_OBJ_WORKFLOW_EDIT_GUI__view', 'View ''Workflow GUI Creation'' screen .', 234, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (235, 'PAGE_OBJ_WORKFLOW_VIEW_GUI', '''Workflow GUI'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (283, 'PAGE_OBJ_WORKFLOW_VIEW_GUI__view', 'View ''Workflow GUI'' screen .', 235, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (236, 'PAGE_OBJ_WORKFLOW_SETUP', '''New Workflow'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (284, 'PAGE_OBJ_WORKFLOW_SETUP__view', 'View ''New Workflow'' screen .', 236, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (237, 'PAGE_OBJ_ITEM_WORKFLOW_STEP', '''Perform Workflow Step'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (285, 'PAGE_OBJ_ITEM_WORKFLOW_STEP__view', 'View ''Perform Workflow Step'' screen .', 237, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (238, 'PAGE_OBJ_DEFAULT_LAYOUT_ADMIN_TAB', '''System Administrator'' tab', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (286, 'PAGE_OBJ_DEFAULT_LAYOUT_ADMIN_TAB__view', 'View ''System Administrator'' tab.', 238, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (239, 'PAGE_OBJ_AUD_SEARCH', '''Audit'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (287, 'PAGE_OBJ_AUD_SEARCH__view', 'View ''Audit'' screen .', 239, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (240, 'PAGE_OBJ_ADM_DB_QUERY_DETAIL', '''DB Admin'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (288, 'PAGE_OBJ_ADM_DB_QUERY_DETAIL__view', 'View ''DB Admin'' screen .', 240, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (241, 'PAGE_OBJ_ANALYZE_DB', '''Analyze DB Tables'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (289, 'PAGE_OBJ_ANALYZE_DB__view', 'View ''Analyze DB Tables'' screen .', 241, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (242, 'PAGE_OBJ_ADM_PERF_MAIN', '''Performance Info'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (290, 'PAGE_OBJ_ADM_PERF_MAIN__view', 'View ''Performance Info'' screen .', 242, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (243, 'PAGE_OBJ_ADM_PERF_PROFILE', '''Profiling'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (291, 'PAGE_OBJ_ADM_PERF_PROFILE__view', 'View ''Profiling'' screen .', 243, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (244, 'PAGE_OBJ_ADM_PERF_PROFILE_ANALYSIS', '''Profiling DB Analysis'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (292, 'PAGE_OBJ_ADM_PERF_PROFILE_ANALYSIS__view', 'View ''Profiling DB Analysis'' screen .', 244, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (245, 'PAGE_OBJ_ADM_PERF_INFO', '''Performance'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (293, 'PAGE_OBJ_ADM_PERF_INFO__view', 'View ''Performance'' screen .', 245, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (246, 'PAGE_OBJ_ADM_DB_PERF_INFO', '''DataBase Performance'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (294, 'PAGE_OBJ_ADM_DB_PERF_INFO__view', 'View ''DataBase Performance'' screen .', 246, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (247, 'PAGE_OBJ_SPEC_CACHE', '''Caches'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (295, 'PAGE_OBJ_SPEC_CACHE__view', 'View ''Caches'' screen .', 247, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (248, 'PAGE_OBJ_ADM_CFG_PROPERTIES', '''Properties'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (296, 'PAGE_OBJ_ADM_CFG_PROPERTIES__view', 'View ''Properties'' screen .', 248, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (249, 'PAGE_OBJ_TAIL_LOG', '''Log Files'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (297, 'PAGE_OBJ_TAIL_LOG__view', 'View ''Log Files'' screen .', 249, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (250, 'PAGE_OBJ_PROC_TAIL', '''Process Tail Log'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (298, 'PAGE_OBJ_PROC_TAIL__view', 'View ''Process Tail Log'' screen .', 250, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (251, 'PAGE_OBJ_ADM_SYSTEM_STATUS', '''System Status'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (299, 'PAGE_OBJ_ADM_SYSTEM_STATUS__view', 'View ''System Status'' screen .', 251, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (252, 'PAGE_OBJ_WPC_PROFILER_MAIN', '''Profiler'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (300, 'PAGE_OBJ_WPC_PROFILER_MAIN__view', 'View ''Profiler'' screen .', 252, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (253, 'PAGE_OBJ_IMPORT_ENV_MAIN', '''Import Environment'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (301, 'PAGE_OBJ_IMPORT_ENV_MAIN__view', 'View ''Import Environment'' screen .', 253, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (254, 'PAGE_OBJ_SELECTIVE_EXPORT', '''Selective Export'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (302, 'PAGE_OBJ_SELECTIVE_EXPORT__view', 'View ''Selective Export'' screen .', 254, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (255, 'PAGE_OBJ_SELECTIVE_IMPORT', '''Selective Import'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (303, 'PAGE_OBJ_SELECTIVE_IMPORT__view', 'View ''Selective Import'' screen .', 255, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (256, 'PAGE_OBJ_FETCH_EXECUTE', '''Fetch Execute'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (304, 'PAGE_OBJ_FETCH_EXECUTE__view', 'View ''Fetch Execute'' screen .', 256, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (257, 'PAGE_OBJ_ADM_BLOB_SIZE_DIST', '''Size Distribution'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (305, 'PAGE_OBJ_ADM_BLOB_SIZE_DIST__view', 'View ''Size Distribution'' screen .', 257, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (258, 'PAGE_OBJ_ADM_EFF_COMPANY', '''Change Organization'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (306, 'PAGE_OBJ_ADM_EFF_COMPANY__view', 'View ''Change Organization'' screen .', 258, 'T', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (259, 'PAGE_OBJ_WIDGETS_UNIT_TESTS', '''Widgets Unit Tests'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (307, 'PAGE_OBJ_WIDGETS_UNIT_TESTS__view', 'View ''Widgets Unit Tests'' screen .', 259, 'T', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (260, 'PAGE_OBJ_SPELL_RENDERER', '''SpellRenderer'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (308, 'PAGE_OBJ_SPELL_RENDERER__view', 'View ''SpellRenderer'' screen .', 260, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (261, 'PAGE_OBJ_ATTR_GROUP_CREATE', '''Attribute Collection'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (309, 'PAGE_OBJ_ATTR_GROUP_CREATE__view', 'View ''Attribute Collection'' screen .', 261, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (262, 'PAGE_OBJ_SHOPPING_CART', '''Shopping Cart'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (310, 'PAGE_OBJ_SHOPPING_CART__view', 'View ''Shopping Cart'' screen .', 262, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (263, 'PAGE_OBJ_BARE_RENDERER', '''BareRenderer'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (311, 'PAGE_OBJ_BARE_RENDERER__view', 'View ''BareRenderer'' screen .', 263, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (264, 'PAGE_OBJ_CTM_DETAIL', '''Categorization Map Detail'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (312, 'PAGE_OBJ_CTM_DETAIL__view', 'View ''Categorization Map Detail'' screen .', 264, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (265, 'PAGE_OBJ_UST_MKT_ATTRIB', '''UstMktAtrib'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (313, 'PAGE_OBJ_UST_MKT_ATTRIB__view', 'View ''UstMktAtrib'' screen .', 265, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (266, 'PAGE_OBJ_CAT_UP_RESPONSE', '''File Upload Status'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (314, 'PAGE_OBJ_CAT_UP_RESPONSE__view', 'View ''File Upload Status'' screen .', 266, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (267, 'PAGE_OBJ_CATEGORY_ATTR', '''Category Attributes'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (315, 'PAGE_OBJ_CATEGORY_ATTR__view', 'View ''Category Attributes'' screen .', 267, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (268, 'PAGE_OBJ_DISTRIBUTION_TOP', '''Routing'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (316, 'PAGE_OBJ_DISTRIBUTION_TOP__view', 'View ''Routing'' screen .', 268, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (269, 'PAGE_OBJ_HELP_FOOTER', '''Help Login'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (317, 'PAGE_OBJ_HELP_FOOTER__view', 'View ''Help Login'' screen .', 269, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (270, 'PAGE_OBJ_USAGE_REPORT', '''Usage Report'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (318, 'PAGE_OBJ_USAGE_REPORT__view', 'View ''Usage Report'' screen .', 270, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (271, 'PAGE_OBJ_YOURKIT', '''Yourkit Profiler'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (319, 'PAGE_OBJ_YOURKIT__view', 'View ''Yourkit Profiler'' screen .', 271, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (272, 'PAGE_OBJ_CAT_VERSIONS_SUMMARY', '''Versions Summary'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (320, 'PAGE_OBJ_CAT_VERSIONS_SUMMARY__view', 'View ''Versions Summary'' screen .', 272, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (273, 'PAGE_OBJ_ALERTS_SERVER', '''Alerts Server'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (321, 'PAGE_OBJ_ALERTS_SERVER__view', 'View ''Alerts Server'' screen .', 273, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (274, 'PAGE_OBJ_CHANGE_SUP_CMP_CODE', '''Change Supplier Company Code'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (322, 'PAGE_OBJ_CHANGE_SUP_CMP_CODE__view', 'View ''Change Supplier Company Code'' screen .', 274, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (275, 'PAGE_OBJ_ADM_SEC_USERS', '''User Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (323, 'PAGE_OBJ_ADM_SEC_USERS__view', 'View ''User Console'' screen .', 275, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (276, 'PAGE_OBJ_LOOKUP_RENDERER', '''LookupRenderer'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (324, 'PAGE_OBJ_LOOKUP_RENDERER__view', 'View ''LookupRenderer'' screen .', 276, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (277, 'PAGE_OBJ_CTM_CONSOLE', '''Categorization Map Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (325, 'PAGE_OBJ_CTM_CONSOLE__view', 'View ''Categorization Map Console'' screen .', 277, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (278, 'PAGE_OBJ_DATA_ENTRY_ERROR', '''Data Entry Error'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (326, 'PAGE_OBJ_DATA_ENTRY_ERROR__view', 'View ''Data Entry Error'' screen .', 278, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (279, 'PAGE_OBJ_ENTER_LOGIN', '''EnterLogin'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (327, 'PAGE_OBJ_ENTER_LOGIN__view', 'View ''EnterLogin'' screen .', 279, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (280, 'PAGE_OBJ_CATEGORY_TREE_PARENT', '''Hierarchies'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (328, 'PAGE_OBJ_CATEGORY_TREE_PARENT__view', 'View ''Hierarchies'' screen .', 280, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (281, 'PAGE_OBJ_ADM_USER_DETAILS', '''User Details'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (329, 'PAGE_OBJ_ADM_USER_DETAILS__view', 'View ''User Details'' screen .', 281, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (282, 'PAGE_OBJ_STATIC_ERROR', '''Error'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (330, 'PAGE_OBJ_STATIC_ERROR__view', 'View ''Error'' screen .', 282, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (283, 'PAGE_OBJ_CTM_RULE_DETAIL', '''Categorization Rule Detail'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (331, 'PAGE_OBJ_CTM_RULE_DETAIL__view', 'View ''Categorization Rule Detail'' screen .', 283, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (284, 'PAGE_OBJ_USAGE', '''Usage'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (332, 'PAGE_OBJ_USAGE__view', 'View ''Usage'' screen .', 284, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (285, 'PAGE_OBJ_CAT_UP_CTG_RESPONSE', '''Data Feed Status'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (333, 'PAGE_OBJ_CAT_UP_CTG_RESPONSE__view', 'View ''Data Feed Status'' screen .', 285, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (286, 'PAGE_OBJ_HELP_HEADER', '''Help Login'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (334, 'PAGE_OBJ_HELP_HEADER__view', 'View ''Help Login'' screen .', 286, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (287, 'PAGE_OBJ_DISTRIBUTE_MGR', '''Distribute'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (335, 'PAGE_OBJ_DISTRIBUTE_MGR__view', 'View ''Distribute'' screen .', 287, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (288, 'PAGE_OBJ_TRIGO_APPLICATION', '''WPC Application'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (336, 'PAGE_OBJ_TRIGO_APPLICATION__view', 'View ''WPC Application'' screen .', 288, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (289, 'PAGE_OBJ_SUPPLIERS', '''Suppliers'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (337, 'PAGE_OBJ_SUPPLIERS__view', 'View ''Suppliers'' screen .', 289, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (290, 'PAGE_OBJ_SUPPLIER_DETAIL', '''Supplier_detail'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (338, 'PAGE_OBJ_SUPPLIER_DETAIL__view', 'View ''Supplier_detail'' screen .', 290, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (291, 'PAGE_OBJ_ACTIONABLE_ENTRY_PREVIEW', '''Actionable Entry Preview'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (339, 'PAGE_OBJ_ACTIONABLE_ENTRY_PREVIEW__view', 'View ''Actionable Entry Preview'' screen .', 291, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (292, 'PAGE_OBJ_CAT_ATTRIBS', '''Catalog Attributes'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (340, 'PAGE_OBJ_CAT_ATTRIBS__view', 'View ''Catalog Attributes'' screen .', 292, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (293, 'PAGE_OBJ_USG_DTLS', '''UstDtls'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (341, 'PAGE_OBJ_USG_DTLS__view', 'View ''UstDtls'' screen .', 293, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (294, 'PAGE_OBJ_ADMIN_TOP', '''Admin'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (342, 'PAGE_OBJ_ADMIN_TOP__view', 'View ''Admin'' screen .', 294, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (295, 'PAGE_OBJ_TRIGO_ENTERPRISE', '''WebSphere Product Center'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (343, 'PAGE_OBJ_TRIGO_ENTERPRISE__view', 'View ''WebSphere Product Center'' screen .', 295, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (296, 'PAGE_OBJ_LOAD_MGR', '''Load'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (344, 'PAGE_OBJ_LOAD_MGR__view', 'View ''Load'' screen .', 296, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (297, 'PAGE_OBJ_BOOKMARK_SERVER', '''Bookmark Server'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (345, 'PAGE_OBJ_BOOKMARK_SERVER__view', 'View ''Bookmark Server'' screen .', 297, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (298, 'PAGE_OBJ_TRIGO_MAIN', '''WebSphere Product Center Main'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (346, 'PAGE_OBJ_TRIGO_MAIN__view', 'View ''WebSphere Product Center Main'' screen .', 298, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (299, 'PAGE_OBJ_CTG_LEFT_NAV_PANE', '''Catalog Navigation Pane'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (347, 'PAGE_OBJ_CTG_LEFT_NAV_PANE__view', 'View ''Catalog Navigation Pane'' screen .', 299, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (300, 'PAGE_OBJ_LKP_DETAIL', '''Lookup Table Detail'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (348, 'PAGE_OBJ_LKP_DETAIL__view', 'View ''Lookup Table Detail'' screen .', 300, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (301, 'PAGE_OBJ_MENU_RIGHT_PANE', '''WebSphere Product Center Menu'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (349, 'PAGE_OBJ_MENU_RIGHT_PANE__view', 'View ''WebSphere Product Center Menu'' screen .', 301, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (302, 'PAGE_OBJ_ADM_RUN_EXEC', '''Exec Console'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (350, 'PAGE_OBJ_ADM_RUN_EXEC__view', 'View ''Exec Console'' screen .', 302, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (303, 'PAGE_OBJ_JPROFILER', '''JProfiler page'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (351, 'PAGE_OBJ_JPROFILER__view', 'View ''JProfiler page'' screen .', 303, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (304, 'PAGE_OBJ_IFRAME_RENDERER', '''IframeRenderer'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (352, 'PAGE_OBJ_IFRAME_RENDERER__view', 'View ''IframeRenderer'' screen .', 304, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (305, 'PAGE_OBJ_SELECTION_SERVER', '''Selection Server'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (353, 'PAGE_OBJ_SELECTION_SERVER__view', 'View ''Selection Server'' screen .', 305, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (306, 'PAGE_OBJ_CTM_LKP_TABLE', '''Categorization Lookup Table'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (354, 'PAGE_OBJ_CTM_LKP_TABLE__view', 'View ''Categorization Lookup Table'' screen .', 306, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (307, 'PAGE_OBJ_ADM_LOG_INFO', '''Logs'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (355, 'PAGE_OBJ_ADM_LOG_INFO__view', 'View ''Logs'' screen .', 307, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (308, 'PAGE_OBJ_DATA_SOURCE_HANDLER', '''Data Source Handler'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (356, 'PAGE_OBJ_DATA_SOURCE_HANDLER__view', 'View ''Data Source Handler'' screen .', 308, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (309, 'PAGE_OBJ_LKP_IMPORT', '''Lookup Table Import'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (357, 'PAGE_OBJ_LKP_IMPORT__view', 'View ''Lookup Table Import'' screen .', 309, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (310, 'PAGE_OBJ_VIEW_SPEC', '''View Specs'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (358, 'PAGE_OBJ_VIEW_SPEC__view', 'View ''View Specs'' screen .', 310, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (311, 'PAGE_OBJ_CREATE_INHERITANCE_RULE', '''Create Inheritance Rule'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (359, 'PAGE_OBJ_CREATE_INHERITANCE_RULE__view', 'View ''Create Inheritance Rule'' screen .', 311, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (312, 'PAGE_OBJ_ATTRIBUTE_SELECTION_SERVER', '''attribute_selection_server'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (360, 'PAGE_OBJ_ATTRIBUTE_SELECTION_SERVER__view', 'View ''attribute_selection_server'' screen .', 312, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (313, 'PAGE_OBJ_MODULE_STATE_SERVER', '''Module State Server'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (361, 'PAGE_OBJ_MODULE_STATE_SERVER__view', 'View ''Module State Server'' screen .', 313, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (314, 'PAGE_OBJ_ERROR_DISPLAY', '''Error Display'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (362, 'PAGE_OBJ_ERROR_DISPLAY__view', 'View ''Error Display'' screen .', 314, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (315, 'PAGE_OBJ_PRODUCT_HELP_POPUP', '''Product Help'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (363, 'PAGE_OBJ_PRODUCT_HELP_POPUP__view', 'View ''Product Help'' screen .', 315, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (316, 'PAGE_OBJ_IMPEXP_WIDGETS', '''Import/Export Widgets'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (364, 'PAGE_OBJ_IMPEXP_WIDGETS__view', 'View ''Import/Export Widgets'' screen .', 316, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (317, 'PAGE_OBJ_CATALOG_EXPLORER_SERVER', '''Catalog Explorer Server'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (365, 'PAGE_OBJ_CATALOG_EXPLORER_SERVER__view', 'View ''Catalog Explorer Server'' screen .', 317, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (318, 'PAGE_OBJ_ADM_AUSTIN_ONLY', '''WPC Only'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (366, 'PAGE_OBJ_ADM_AUSTIN_ONLY__view', 'View ''WPC Only'' screen .', 318, 'T', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (319, 'PAGE_OBJ_SC_SELECT_ITEMS', '''Shopping Cart Items'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (367, 'PAGE_OBJ_SC_SELECT_ITEMS__view', 'View ''Shopping Cart Items'' screen .', 319, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (320, 'PAGE_OBJ_GATEWAY_MGR', '''Gateway'' screen', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (368, 'PAGE_OBJ_GATEWAY_MGR__view', 'View ''Gateway'' screen .', 320, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (321, 'Security', 'Object_type for manipulating security', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (369, 'Security__modify_users', 'Allows you to modify users', 321, '', 'Y');          
 
INSERT INTO tsec_oac_object_action VALUES (370, 'Security__modify_roles_access', 'Allows you to modify new roles', 321, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (322, 'Admin', 'Object_type for Admin functions', 'Y');              
 
INSERT INTO tsec_oac_object_action VALUES (371, 'Admin__access', 'Allows user to access admin functions', 322, '', 'Y');          
 
INSERT INTO tsec_obt_object_type VALUES (323, 'ObjectType', 'Default Object_type', 'Y');              
 
INSERT INTO tsec_obt_object_type VALUES (324, 'Workflow', 'Object_type for workflows', 'N');              
 
INSERT INTO tsec_oac_object_action VALUES (372, 'Workflow__list', 'Allows user to view a list of workflows', 324, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (373, 'Workflow__edit', 'Allows user to edit workflow', 324, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (374, 'Workflow__delete', 'Allows user to delete workflows', 324, '', 'N');          
 
INSERT INTO tsec_obt_object_type VALUES (325, 'CollaborationArea', 'Object_type for collaboration areas', 'N');              
 
INSERT INTO tsec_oac_object_action VALUES (375, 'CollaborationArea__list', 'Allows user to view a list of collaboration areas', 325, '', 'N');          
 
INSERT INTO tsec_oac_object_action VALUES (376, 'CollaborationArea__checkout_entries', 'Allows user to checkout entries in to the collaboration area', 325, '', 'N');          


commit;
 