	/*  
	
	create_backup_tables.sql -	Create backup tables for collab area cleanup

	Copyright 2005, IBM Corporation
	
	12/11/06 - XXX add category equivalent of ITD table, i.e. CAD


	*/



create table ITMRSV_CLNCOA as 
(select * from itm where rownum<2);
create table ITM_CLNCOA as 
(select * from itm where rownum<2);
create table ITA_CLNCOA as 
(select * from ita where rownum<2);
create table ITD_CLNCOA as 
(select * from itd where rownum<2);
create table ICM_CLNCOA as 
(select * from icm where rownum<2);


create table CATRSV_CLNCOA as 
(select * from cat where rownum<2);
create table CAT_CLNCOA as 
(select * from cat where rownum<2);
create table CAB_CLNCOA as 
(select * from cab where rownum<2);
create table CFP_CLNCOA as 
(select * from cfp where rownum<2);
create table CHI_CLNCOA as 
(select * from chi where rownum<2);
create table CSA_CLNCOA as 
(select * from csa where rownum<2);


create table CEM_CLNCOA as 
(select * from cem where rownum<2);
create table CAE_CLNCOA as 
(select * from cae where rownum<2);
create table CEH_CLNCOA as 
(select * from ceh where rownum<2);
create table CEL_CLNCOA as 
(select * from cel where rownum<2);
create table WEE_CLNCOA 
( 
    coa_id                 	 number(9,0),
    wee_event_id                  number(9,0),
    wee_entry_id                  number(9,0),
    wee_event_entry_status        varchar2(50)
);



create table cet_badblob
( 
    cet_company_id                  number(9, 0),
    cet_src_container_id              number(9, 0) not null,
    cet_primary_key                 varchar2(300),
    cet_src_entry_id                  number(9, 0),
    cet_ca_entry_id                  number(9, 0),
    cet_ca_id                       number(9, 0),
    cet_ca_container_id              number(9, 0),
	cet_status                       varchar2(20), -- string indicating whether this item was found to be corrupt, or is necessary to delete by implication
    cet_error_msg1                 varchar2(3000), -- stack trace, etc with details of error
    cet_error_msg2                 varchar2(3000), -- stack trace, etc with details of error
    cet_error_msg3                 varchar2(3000), -- stack trace, etc with details of error
    cet_processed                 varchar2(1),  -- set to Y if cleaned up, else NULL
    cet_last_modified             number(13, 0) -- time error was discovered
);



delete ITMRSV_CLNCOA;
delete ITM_CLNCOA;
delete ITA_CLNCOA;
delete ITD_CLNCOA;
delete ICM_CLNCOA;

delete CATRSV_CLNCOA;
delete CAT_CLNCOA;
delete CAB_CLNCOA;
delete CFP_CLNCOA;
delete CHI_CLNCOA;
delete CSA_CLNCOA;

delete CEM_CLNCOA;
delete CAE_CLNCOA;
delete CEH_CLNCOA;
delete CEL_CLNCOA;
delete WEE_CLNCOA;

delete cet_badblob;

commit;

/* End of create_backup_tables script */

